_CRYSTAL EQU 1

FarCall    EQU $08
Bankswitch EQU $10

dwb: MACRO
	dw \1
	db \2
	ENDM

dbw: MACRO
	db \1
	dw \2
	ENDM

dn: MACRO
	db \1 << 4 + \2
	ENDM

; big-endian word
bigdw: MACRO
	dw ((\1)/$100) + (((\1)&$ff)*$100)
	ENDM

; address, bank
callab: MACRO
	ld hl, \1
	ld a, BANK(\1)
	rst FarCall
	ENDM

; bank, address
callba: MACRO
	ld a, BANK(\1)
	ld hl, \1
	rst FarCall
	ENDM

TX_RAM: MACRO
	db 1
	dw \1
	ENDM

TX_FAR: MACRO
	db $16
	dw \1
	db BANK(\1)
	ENDM

RGB: MACRO
	dw ((\3 << 10) | (\2 << 5) | (\1))
	ENDM

note: MACRO
	db \1
	ENDM

; It's better to use *coord than FuncCoord.
FuncCoord: MACRO
Coord = $c4a0 + 20 * \2 + \1
	ENDM

bccoord: MACRO
	FuncCoord \1, \2
	ld bc, Coord
	ENDM
	
decoord: MACRO
	FuncCoord \1, \2
	ld de, Coord
	ENDM

hlcoord: MACRO
	FuncCoord \1, \2
	ld hl, Coord
	ENDM


; pic animations
frame: MACRO
	db \1
	db \2
	ENDM
setrepeat: MACRO
	db $fe
	db \1
	ENDM
dorepeat: MACRO
	db $fd
	db \1
	ENDM
endanim: MACRO
	db $ff
	ENDM


NONE       EQU 0

BULBASAUR  EQU 1
IVYSAUR    EQU 2
VENUSAUR   EQU 3
CHARMANDER EQU 4
CHARMELEON EQU 5
CHARIZARD  EQU 6
SQUIRTLE   EQU 7
WARTORTLE  EQU 8
BLASTOISE  EQU 9
CATERPIE   EQU 10
METAPOD    EQU 11
BUTTERFREE EQU 12
WEEDLE     EQU 13
KAKUNA     EQU 14
BEEDRILL   EQU 15
PIDGEY     EQU 16
PIDGEOTTO  EQU 17
PIDGEOT    EQU 18
RATTATA    EQU 19
RATICATE   EQU 20
SPEAROW    EQU 21
FEAROW     EQU 22
EKANS      EQU 23
ARBOK      EQU 24
PIKACHU    EQU 25
RAICHU     EQU 26
SANDSHREW  EQU 27
SANDSLASH  EQU 28
NIDORAN_F  EQU 29
NIDORINA   EQU 30
NIDOQUEEN  EQU 31
NIDORAN_M  EQU 32
NIDORINO   EQU 33
NIDOKING   EQU 34
CLEFAIRY   EQU 35
CLEFABLE   EQU 36
VULPIX     EQU 37
NINETALES  EQU 38
JIGGLYPUFF EQU 39
WIGGLYTUFF EQU 40
ZUBAT      EQU 41
GOLBAT     EQU 42
ODDISH     EQU 43
GLOOM      EQU 44
VILEPLUME  EQU 45
PARAS      EQU 46
PARASECT   EQU 47
VENONAT    EQU 48
VENOMOTH   EQU 49
DIGLETT    EQU 50
DUGTRIO    EQU 51
MEOWTH     EQU 52
PERSIAN    EQU 53
PSYDUCK    EQU 54
GOLDUCK    EQU 55
MANKEY     EQU 56
PRIMEAPE   EQU 57
GROWLITHE  EQU 58
ARCANINE   EQU 59
POLIWAG    EQU 60
POLIWHIRL  EQU 61
POLIWRATH  EQU 62
ABRA       EQU 63
KADABRA    EQU 64
ALAKAZAM   EQU 65
MACHOP     EQU 66
MACHOKE    EQU 67
MACHAMP    EQU 68
BELLSPROUT EQU 69
WEEPINBELL EQU 70
VICTREEBEL EQU 71
TENTACOOL  EQU 72
TENTACRUEL EQU 73
GEODUDE    EQU 74
GRAVELER   EQU 75
GOLEM      EQU 76
PONYTA     EQU 77
RAPIDASH   EQU 78
SLOWPOKE   EQU 79
SLOWBRO    EQU 80
MAGNEMITE  EQU 81
MAGNETON   EQU 82
FARFETCH_D EQU 83
DODUO      EQU 84
DODRIO     EQU 85
SEEL       EQU 86
DEWGONG    EQU 87
GRIMER     EQU 88
MUK        EQU 89
SHELLDER   EQU 90
CLOYSTER   EQU 91
GASTLY     EQU 92
HAUNTER    EQU 93
GENGAR     EQU 94
ONIX       EQU 95
DROWZEE    EQU 96
HYPNO      EQU 97
KRABBY     EQU 98
KINGLER    EQU 99
VOLTORB    EQU 100
ELECTRODE  EQU 101
EXEGGCUTE  EQU 102
EXEGGUTOR  EQU 103
CUBONE     EQU 104
MAROWAK    EQU 105
HITMONLEE  EQU 106
HITMONCHAN EQU 107
LICKITUNG  EQU 108
KOFFING    EQU 109
WEEZING    EQU 110
RHYHORN    EQU 111
RHYDON     EQU 112
CHANSEY    EQU 113
TANGELA    EQU 114
KANGASKHAN EQU 115
HORSEA     EQU 116
SEADRA     EQU 117
GOLDEEN    EQU 118
SEAKING    EQU 119
STARYU     EQU 120
STARMIE    EQU 121
MR__MIME   EQU 122
SCYTHER    EQU 123
JYNX       EQU 124
ELECTABUZZ EQU 125
MAGMAR     EQU 126
PINSIR     EQU 127
TAUROS     EQU 128
MAGIKARP   EQU 129
GYARADOS   EQU 130
LAPRAS     EQU 131
DITTO      EQU 132
EEVEE      EQU 133
VAPOREON   EQU 134
JOLTEON    EQU 135
FLAREON    EQU 136
PORYGON    EQU 137
OMANYTE    EQU 138
OMASTAR    EQU 139
KABUTO     EQU 140
KABUTOPS   EQU 141
AERODACTYL EQU 142
SNORLAX    EQU 143
ARTICUNO   EQU 144
ZAPDOS     EQU 145
MOLTRES    EQU 146
DRATINI    EQU 147
DRAGONAIR  EQU 148
DRAGONITE  EQU 149
MEWTWO     EQU 150
MEW        EQU 151
CHIKORITA  EQU 152
BAYLEEF    EQU 153
MEGANIUM   EQU 154
CYNDAQUIL  EQU 155
QUILAVA    EQU 156
TYPHLOSION EQU 157
TOTODILE   EQU 158
CROCONAW   EQU 159
FERALIGATR EQU 160
SENTRET    EQU 161
FURRET     EQU 162
HOOTHOOT   EQU 163
NOCTOWL    EQU 164
LEDYBA     EQU 165
LEDIAN     EQU 166
SPINARAK   EQU 167
ARIADOS    EQU 168
CROBAT     EQU 169
CHINCHOU   EQU 170
LANTURN    EQU 171
PICHU      EQU 172
CLEFFA     EQU 173
IGGLYBUFF  EQU 174
TOGEPI     EQU 175
TOGETIC    EQU 176
NATU       EQU 177
XATU       EQU 178
MAREEP     EQU 179
FLAAFFY    EQU 180
AMPHAROS   EQU 181
BELLOSSOM  EQU 182
MARILL     EQU 183
AZUMARILL  EQU 184
SUDOWOODO  EQU 185
POLITOED   EQU 186
HOPPIP     EQU 187
SKIPLOOM   EQU 188
JUMPLUFF   EQU 189
AIPOM      EQU 190
SUNKERN    EQU 191
SUNFLORA   EQU 192
YANMA      EQU 193
WOOPER     EQU 194
QUAGSIRE   EQU 195
ESPEON     EQU 196
UMBREON    EQU 197
MURKROW    EQU 198
SLOWKING   EQU 199
MISDREAVUS EQU 200
UNOWN      EQU 201
WOBBUFFET  EQU 202
GIRAFARIG  EQU 203
PINECO     EQU 204
FORRETRESS EQU 205
DUNSPARCE  EQU 206
GLIGAR     EQU 207
STEELIX    EQU 208
SNUBBULL   EQU 209
GRANBULL   EQU 210
QWILFISH   EQU 211
SCIZOR     EQU 212
SHUCKLE    EQU 213
HERACROSS  EQU 214
SNEASEL    EQU 215
TEDDIURSA  EQU 216
URSARING   EQU 217
SLUGMA     EQU 218
MAGCARGO   EQU 219
SWINUB     EQU 220
PILOSWINE  EQU 221
CORSOLA    EQU 222
REMORAID   EQU 223
OCTILLERY  EQU 224
DELIBIRD   EQU 225
MANTINE    EQU 226
SKARMORY   EQU 227
HOUNDOUR   EQU 228
HOUNDOOM   EQU 229
KINGDRA    EQU 230
PHANPY     EQU 231
DONPHAN    EQU 232
PORYGON2   EQU 233
STANTLER   EQU 234
SMEARGLE   EQU 235
TYROGUE    EQU 236
HITMONTOP  EQU 237
SMOOCHUM   EQU 238
ELEKID     EQU 239
MAGBY      EQU 240
MILTANK    EQU 241
BLISSEY    EQU 242
RAIKOU     EQU 243
ENTEI      EQU 244
SUICUNE    EQU 245
LARVITAR   EQU 246
PUPITAR    EQU 247
TYRANITAR  EQU 248
LUGIA      EQU 249
HO_OH      EQU 250
CELEBI     EQU 251

EGG        EQU 253

; move name constants
POUND        EQU $01
KARATE_CHOP  EQU $02
DOUBLESLAP   EQU $03
COMET_PUNCH  EQU $04
MEGA_PUNCH   EQU $05
PAY_DAY      EQU $06
FIRE_PUNCH   EQU $07
ICE_PUNCH    EQU $08
THUNDERPUNCH EQU $09
SCRATCH      EQU $0A
VICEGRIP     EQU $0B
GUILLOTINE   EQU $0C
RAZOR_WIND   EQU $0D
SWORDS_DANCE EQU $0E
CUT          EQU $0F
GUST         EQU $10
WING_ATTACK  EQU $11
WHIRLWIND    EQU $12
FLY          EQU $13
BIND         EQU $14
SLAM         EQU $15
VINE_WHIP    EQU $16
STOMP        EQU $17
DOUBLE_KICK  EQU $18
MEGA_KICK    EQU $19
JUMP_KICK    EQU $1A
ROLLING_KICK EQU $1B
SAND_ATTACK  EQU $1C
HEADBUTT     EQU $1D
HORN_ATTACK  EQU $1E
FURY_ATTACK  EQU $1F
HORN_DRILL   EQU $20
TACKLE       EQU $21
BODY_SLAM    EQU $22
WRAP         EQU $23
TAKE_DOWN    EQU $24
THRASH       EQU $25
DOUBLE_EDGE  EQU $26
TAIL_WHIP    EQU $27
POISON_STING EQU $28
TWINEEDLE    EQU $29
PIN_MISSILE  EQU $2A
LEER         EQU $2B
BITE         EQU $2C
GROWL        EQU $2D
ROAR         EQU $2E
SING         EQU $2F
SUPERSONIC   EQU $30
SONICBOOM    EQU $31
DISABLE      EQU $32
ACID         EQU $33
EMBER        EQU $34
FLAMETHROWER EQU $35
MIST         EQU $36
WATER_GUN    EQU $37
HYDRO_PUMP   EQU $38
SURF         EQU $39
ICE_BEAM     EQU $3A
BLIZZARD     EQU $3B
PSYBEAM      EQU $3C
BUBBLEBEAM   EQU $3D
AURORA_BEAM  EQU $3E
HYPER_BEAM   EQU $3F
PECK         EQU $40
DRILL_PECK   EQU $41
SUBMISSION   EQU $42
LOW_KICK     EQU $43
COUNTER      EQU $44
SEISMIC_TOSS EQU $45
STRENGTH     EQU $46
ABSORB       EQU $47
MEGA_DRAIN   EQU $48
LEECH_SEED   EQU $49
GROWTH       EQU $4A
RAZOR_LEAF   EQU $4B
SOLARBEAM    EQU $4C
POISONPOWDER EQU $4D
STUN_SPORE   EQU $4E
SLEEP_POWDER EQU $4F
PETAL_DANCE  EQU $50
STRING_SHOT  EQU $51
DRAGON_RAGE  EQU $52
FIRE_SPIN    EQU $53
THUNDERSHOCK EQU $54
THUNDERBOLT  EQU $55
THUNDER_WAVE EQU $56
THUNDER      EQU $57
ROCK_THROW   EQU $58
EARTHQUAKE   EQU $59
FISSURE      EQU $5A
DIG          EQU $5B
TOXIC        EQU $5C
CONFUSION    EQU $5D
PSYCHIC_M    EQU $5E
HYPNOSIS     EQU $5F
MEDITATE     EQU $60
AGILITY      EQU $61
QUICK_ATTACK EQU $62
RAGE         EQU $63
TELEPORT     EQU $64
NIGHT_SHADE  EQU $65
MIMIC        EQU $66
SCREECH      EQU $67
DOUBLE_TEAM  EQU $68
RECOVER      EQU $69
HARDEN       EQU $6A
MINIMIZE     EQU $6B
SMOKESCREEN  EQU $6C
CONFUSE_RAY  EQU $6D
WITHDRAW     EQU $6E
DEFENSE_CURL EQU $6F
BARRIER      EQU $70
LIGHT_SCREEN EQU $71
HAZE         EQU $72
REFLECT      EQU $73
FOCUS_ENERGY EQU $74
BIDE         EQU $75
METRONOME    EQU $76
MIRROR_MOVE  EQU $77
SELFDESTRUCT EQU $78
EGG_BOMB     EQU $79
LICK         EQU $7A
SMOG         EQU $7B
SLUDGE       EQU $7C
BONE_CLUB    EQU $7D
FIRE_BLAST   EQU $7E
WATERFALL    EQU $7F
CLAMP        EQU $80
SWIFT        EQU $81
SKULL_BASH   EQU $82
SPIKE_CANNON EQU $83
CONSTRICT    EQU $84
AMNESIA      EQU $85
KINESIS      EQU $86
SOFTBOILED   EQU $87
HI_JUMP_KICK EQU $88
GLARE        EQU $89
DREAM_EATER  EQU $8A
POISON_GAS   EQU $8B
BARRAGE      EQU $8C
LEECH_LIFE   EQU $8D
LOVELY_KISS  EQU $8E
SKY_ATTACK   EQU $8F
TRANSFORM    EQU $90
BUBBLE       EQU $91
DIZZY_PUNCH  EQU $92
SPORE        EQU $93
FLASH        EQU $94
PSYWAVE      EQU $95
SPLASH       EQU $96
ACID_ARMOR   EQU $97
CRABHAMMER   EQU $98
EXPLOSION    EQU $99
FURY_SWIPES  EQU $9A
BONEMERANG   EQU $9B
REST         EQU $9C
ROCK_SLIDE   EQU $9D
HYPER_FANG   EQU $9E
SHARPEN      EQU $9F
CONVERSION   EQU $A0
TRI_ATTACK   EQU $A1
SUPER_FANG   EQU $A2
SLASH        EQU $A3
SUBSTITUTE   EQU $A4
STRUGGLE     EQU $A5
SKETCH       EQU $A6
TRIPLE_KICK  EQU $A7
THIEF        EQU $A8
SPIDER_WEB   EQU $A9
MIND_READER  EQU $AA
NIGHTMARE    EQU $AB
FLAME_WHEEL  EQU $AC
SNORE        EQU $AD
CURSE        EQU $AE
FLAIL        EQU $AF
CONVERSION2  EQU $B0
AEROBLAST    EQU $B1
COTTON_SPORE EQU $B2
REVERSAL     EQU $B3
SPITE        EQU $B4
POWDER_SNOW  EQU $B5
PROTECT      EQU $B6
MACH_PUNCH   EQU $B7
SCARY_FACE   EQU $B8
FAINT_ATTACK EQU $B9
SWEET_KISS   EQU $BA
BELLY_DRUM   EQU $BB
SLUDGE_BOMB  EQU $BC
MUD_SLAP     EQU $BD
OCTAZOOKA    EQU $BE
SPIKES       EQU $BF
ZAP_CANNON   EQU $C0
FORESIGHT    EQU $C1
DESTINY_BOND EQU $C2
PERISH_SONG  EQU $C3
ICY_WIND     EQU $C4
DETECT       EQU $C5
BONE_RUSH    EQU $C6
LOCK_ON      EQU $C7
OUTRAGE      EQU $C8
SANDSTORM    EQU $C9
GIGA_DRAIN   EQU $CA
ENDURE       EQU $CB
CHARM        EQU $CC
ROLLOUT      EQU $CD
FALSE_SWIPE  EQU $CE
SWAGGER      EQU $CF
MILK_DRINK   EQU $D0
SPARK        EQU $D1
FURY_CUTTER  EQU $D2
STEEL_WING   EQU $D3
MEAN_LOOK    EQU $D4
ATTRACT      EQU $D5
SLEEP_TALK   EQU $D6
HEAL_BELL    EQU $D7
RETURN       EQU $D8
PRESENT      EQU $D9
FRUSTRATION  EQU $DA
SAFEGUARD    EQU $DB
PAIN_SPLIT   EQU $DC
SACRED_FIRE  EQU $DD
MAGNITUDE    EQU $DE
DYNAMICPUNCH EQU $DF
MEGAHORN     EQU $E0
DRAGONBREATH EQU $E1
BATON_PASS   EQU $E2
ENCORE       EQU $E3
PURSUIT      EQU $E4
RAPID_SPIN   EQU $E5
SWEET_SCENT  EQU $E6
IRON_TAIL    EQU $E7
METAL_CLAW   EQU $E8
VITAL_THROW  EQU $E9
MORNING_SUN  EQU $EA
SYNTHESIS    EQU $EB
MOONLIGHT    EQU $EC
HIDDEN_POWER EQU $ED
CROSS_CHOP   EQU $EE
TWISTER      EQU $EF
RAIN_DANCE   EQU $F0
SUNNY_DAY    EQU $F1
CRUNCH       EQU $F2
MIRROR_COAT  EQU $F3
PSYCH_UP     EQU $F4
EXTREMESPEED EQU $F5
ANCIENTPOWER EQU $F6
SHADOW_BALL  EQU $F7
FUTURE_SIGHT EQU $F8
ROCK_SMASH   EQU $F9
WHIRLPOOL    EQU $FA
BEAT_UP      EQU $FB

; type name constants
NORMAL   EQU $00
FIGHTING EQU $01
FLYING   EQU $02
POISON   EQU $03
GROUND   EQU $04
ROCK     EQU $05
BUG      EQU $07
GHOST    EQU $08
STEEL    EQU $09
CURSE_T  EQU $13
FIRE     EQU $14
WATER    EQU $15
GRASS    EQU $16
ELECTRIC EQU $17
PSYCHIC  EQU $18
ICE      EQU $19
DRAGON   EQU $1A
DARK     EQU $1B

; egg group constants
MONSTER       EQU $01
AMPHIBIAN     EQU $02
INSECT        EQU $03
AVIAN         EQU $04
FIELD         EQU $05
FAIRY         EQU $06
PLANT         EQU $07
HUMANSHAPE    EQU $08
INVERTEBRATE  EQU $09
INANIMATE     EQU $0A
AMORPHOUS     EQU $0B
FISH          EQU $0C
LADIES_MAN    EQU $0D
REPTILE       EQU $0E
NO_EGGS       EQU $0F

; menu sprites
ICON_POLIWAG       EQU $01
ICON_JIGGLYPUFF    EQU $02
ICON_DIGLETT       EQU $03
ICON_PIKACHU       EQU $04
ICON_STARYU        EQU $05
ICON_FISH          EQU $06
ICON_BIRD          EQU $07
ICON_MONSTER       EQU $08
ICON_CLEFAIRY      EQU $09
ICON_ODDISH        EQU $0a
ICON_BUG           EQU $0b
ICON_GHOST         EQU $0c
ICON_LAPRAS        EQU $0d
ICON_HUMANSHAPE    EQU $0e
ICON_FOX           EQU $0f
ICON_EQUINE        EQU $10
ICON_SHELL         EQU $11
ICON_BLOB          EQU $12
ICON_SERPENT       EQU $13
ICON_VOLTORB       EQU $14
ICON_SQUIRTLE      EQU $15
ICON_BULBASAUR     EQU $16
ICON_CHARMANDER    EQU $17
ICON_CATERPILLAR   EQU $18
ICON_UNOWN         EQU $19
ICON_GEODUDE       EQU $1a
ICON_FIGHTER       EQU $1b
ICON_EGG           EQU $1c
ICON_JELLYFISH     EQU $1d
ICON_MOTH          EQU $1e
ICON_BAT           EQU $1f
ICON_SNORLAX       EQU $20
ICON_HO_OH         EQU $21
ICON_LUGIA         EQU $22
ICON_GYARADOS      EQU $23
ICON_SLOWPOKE      EQU $24
ICON_SUDOWOODO     EQU $25
ICON_BIGMON        EQU $26

; map group ids
GROUP_OLIVINE_POKECENTER_1F EQU $01
GROUP_OLIVINE_GYM EQU $01
GROUP_OLIVINE_VOLTORB_HOUSE EQU $01
GROUP_OLIVINE_HOUSE_BETA EQU $01
GROUP_OLIVINE_PUNISHMENT_SPEECH_HOUSE EQU $01
GROUP_OLIVINE_GOOD_ROD_HOUSE EQU $01
GROUP_OLIVINE_CAFE EQU $01
GROUP_OLIVINE_MART EQU $01
GROUP_ROUTE_38_ECRUTEAK_GATE EQU $01
GROUP_ROUTE_39_BARN EQU $01
GROUP_ROUTE_39_FARMHOUSE EQU $01
GROUP_ROUTE_38 EQU $01
GROUP_ROUTE_39 EQU $01
GROUP_OLIVINE_CITY EQU $01
GROUP_MAHOGANY_RED_GYARADOS_SPEECH_HOUSE EQU $02
GROUP_MAHOGANY_GYM EQU $02
GROUP_MAHOGANY_POKECENTER_1F EQU $02
GROUP_ROUTE_42_ECRUTEAK_GATE EQU $02
GROUP_ROUTE_42 EQU $02
GROUP_ROUTE_44 EQU $02
GROUP_MAHOGANY_TOWN EQU $02
GROUP_SPROUT_TOWER_1F EQU $03
GROUP_SPROUT_TOWER_2F EQU $03
GROUP_SPROUT_TOWER_3F EQU $03
GROUP_TIN_TOWER_1F EQU $03
GROUP_TIN_TOWER_2F EQU $03
GROUP_TIN_TOWER_3F EQU $03
GROUP_TIN_TOWER_4F EQU $03
GROUP_TIN_TOWER_5F EQU $03
GROUP_TIN_TOWER_6F EQU $03
GROUP_TIN_TOWER_7F EQU $03
GROUP_TIN_TOWER_8F EQU $03
GROUP_TIN_TOWER_9F EQU $03
GROUP_BURNED_TOWER_1F EQU $03
GROUP_BURNED_TOWER_B1F EQU $03
GROUP_NATIONAL_PARK EQU $03
GROUP_NATIONAL_PARK_BUG_CONTEST EQU $03
GROUP_RADIO_TOWER_1F EQU $03
GROUP_RADIO_TOWER_2F EQU $03
GROUP_RADIO_TOWER_3F EQU $03
GROUP_RADIO_TOWER_4F EQU $03
GROUP_RADIO_TOWER_5F EQU $03
GROUP_RUINS_OF_ALPH_OUTSIDE EQU $03
GROUP_RUINS_OF_ALPH_HO_OH_CHAMBER EQU $03
GROUP_RUINS_OF_ALPH_KABUTO_CHAMBER EQU $03
GROUP_RUINS_OF_ALPH_OMANYTE_CHAMBER EQU $03
GROUP_RUINS_OF_ALPH_AERODACTYL_CHAMBER EQU $03
GROUP_RUINS_OF_ALPH_INNER_CHAMBER EQU $03
GROUP_RUINS_OF_ALPH_RESEARCH_CENTER EQU $03
GROUP_RUINS_OF_ALPH_HO_OH_ITEM_ROOM EQU $03
GROUP_RUINS_OF_ALPH_KABUTO_ITEM_ROOM EQU $03
GROUP_RUINS_OF_ALPH_OMANYTE_ITEM_ROOM EQU $03
GROUP_RUINS_OF_ALPH_AERODACTYL_ITEM_ROOM EQU $03
GROUP_RUINS_OF_ALPH_HO_OH_WORD_ROOM EQU $03
GROUP_RUINS_OF_ALPH_KABUTO_WORD_ROOM EQU $03
GROUP_RUINS_OF_ALPH_OMANYTE_WORD_ROOM EQU $03
GROUP_RUINS_OF_ALPH_AERODACTYL_WORD_ROOM EQU $03
GROUP_UNION_CAVE_1F EQU $03
GROUP_UNION_CAVE_B1F EQU $03
GROUP_UNION_CAVE_B2F EQU $03
GROUP_SLOWPOKE_WELL_B1F EQU $03
GROUP_SLOWPOKE_WELL_B2F EQU $03
GROUP_OLIVINE_LIGHTHOUSE_1F EQU $03
GROUP_OLIVINE_LIGHTHOUSE_2F EQU $03
GROUP_OLIVINE_LIGHTHOUSE_3F EQU $03
GROUP_OLIVINE_LIGHTHOUSE_4F EQU $03
GROUP_OLIVINE_LIGHTHOUSE_5F EQU $03
GROUP_OLIVINE_LIGHTHOUSE_6F EQU $03
GROUP_MAHOGANY_MART_1F EQU $03
GROUP_TEAM_ROCKET_BASE_B1F EQU $03
GROUP_TEAM_ROCKET_BASE_B2F EQU $03
GROUP_TEAM_ROCKET_BASE_B3F EQU $03
GROUP_ILEX_FOREST EQU $03
GROUP_WAREHOUSE_ENTRANCE EQU $03
GROUP_UNDERGROUND_PATH_SWITCH_ROOM_ENTRANCES EQU $03
GROUP_GOLDENROD_DEPT_STORE_B1F EQU $03
GROUP_UNDERGROUND_WAREHOUSE EQU $03
GROUP_MOUNT_MORTAR_1F_OUTSIDE EQU $03
GROUP_MOUNT_MORTAR_1F_INSIDE EQU $03
GROUP_MOUNT_MORTAR_2F_INSIDE EQU $03
GROUP_MOUNT_MORTAR_B1F EQU $03
GROUP_ICE_PATH_1F EQU $03
GROUP_ICE_PATH_B1F EQU $03
GROUP_ICE_PATH_B2F_MAHOGANY_SIDE EQU $03
GROUP_ICE_PATH_B2F_BLACKTHORN_SIDE EQU $03
GROUP_ICE_PATH_B3F EQU $03
GROUP_WHIRL_ISLAND_NW EQU $03
GROUP_WHIRL_ISLAND_NE EQU $03
GROUP_WHIRL_ISLAND_SW EQU $03
GROUP_WHIRL_ISLAND_CAVE EQU $03
GROUP_WHIRL_ISLAND_SE EQU $03
GROUP_WHIRL_ISLAND_B1F EQU $03
GROUP_WHIRL_ISLAND_B2F EQU $03
GROUP_WHIRL_ISLAND_LUGIA_CHAMBER EQU $03
GROUP_SILVER_CAVE_ROOM_1 EQU $03
GROUP_SILVER_CAVE_ROOM_2 EQU $03
GROUP_SILVER_CAVE_ROOM_3 EQU $03
GROUP_SILVER_CAVE_ITEM_ROOMS EQU $03
GROUP_DARK_CAVE_VIOLET_ENTRANCE EQU $03
GROUP_DARK_CAVE_BLACKTHORN_ENTRANCE EQU $03
GROUP_DRAGONS_DEN_1F EQU $03
GROUP_DRAGONS_DEN_B1F EQU $03
GROUP_DRAGON_SHRINE EQU $03
GROUP_TOHJO_FALLS EQU $03
GROUP_DIGLETTS_CAVE EQU $03
GROUP_MOUNT_MOON EQU $03
GROUP_UNDERGROUND EQU $03
GROUP_ROCK_TUNNEL_1F EQU $03
GROUP_ROCK_TUNNEL_B1F EQU $03
GROUP_SAFARI_ZONE_FUCHSIA_GATE_BETA EQU $03
GROUP_SAFARI_ZONE_BETA EQU $03
GROUP_VICTORY_ROAD EQU $03
GROUP_ECRUTEAK_HOUSE EQU $04
GROUP_WISE_TRIOS_ROOM EQU $04
GROUP_ECRUTEAK_POKECENTER_1F EQU $04
GROUP_ECRUTEAK_LUGIA_SPEECH_HOUSE EQU $04
GROUP_DANCE_THEATRE EQU $04
GROUP_ECRUTEAK_MART EQU $04
GROUP_ECRUTEAK_GYM EQU $04
GROUP_ECRUTEAK_ITEMFINDER_HOUSE EQU $04
GROUP_ECRUTEAK_CITY EQU $04
GROUP_BLACKTHORN_GYM_1F EQU $05
GROUP_BLACKTHORN_GYM_2F EQU $05
GROUP_BLACKTHORN_DRAGON_SPEECH_HOUSE EQU $05
GROUP_BLACKTHORN_DODRIO_TRADE_HOUSE EQU $05
GROUP_BLACKTHORN_MART EQU $05
GROUP_BLACKTHORN_POKECENTER_1F EQU $05
GROUP_MOVE_DELETERS_HOUSE EQU $05
GROUP_ROUTE_45 EQU $05
GROUP_ROUTE_46 EQU $05
GROUP_BLACKTHORN_CITY EQU $05
GROUP_CINNABAR_POKECENTER_1F EQU $06
GROUP_CINNABAR_POKECENTER_2F_BETA EQU $06
GROUP_ROUTE_19___FUCHSIA_GATE EQU $06
GROUP_SEAFOAM_GYM EQU $06
GROUP_ROUTE_19 EQU $06
GROUP_ROUTE_20 EQU $06
GROUP_ROUTE_21 EQU $06
GROUP_CINNABAR_ISLAND EQU $06
GROUP_CERULEAN_GYM_BADGE_SPEECH_HOUSE EQU $07
GROUP_CERULEAN_POLICE_STATION EQU $07
GROUP_CERULEAN_TRADE_SPEECH_HOUSE EQU $07
GROUP_CERULEAN_POKECENTER_1F EQU $07
GROUP_CERULEAN_POKECENTER_2F_BETA EQU $07
GROUP_CERULEAN_GYM EQU $07
GROUP_CERULEAN_MART EQU $07
GROUP_ROUTE_10_POKECENTER_1F EQU $07
GROUP_ROUTE_10_POKECENTER_2F_BETA EQU $07
GROUP_POWER_PLANT EQU $07
GROUP_BILLS_HOUSE EQU $07
GROUP_ROUTE_4 EQU $07
GROUP_ROUTE_9 EQU $07
GROUP_ROUTE_10A EQU $07
GROUP_ROUTE_10_NORTH EQU $07
GROUP_ROUTE_24 EQU $07
GROUP_ROUTE_25 EQU $07
GROUP_CERULEAN_CITY EQU $07
GROUP_AZALEA_POKECENTER_1F EQU $08
GROUP_CHARCOAL_KILN EQU $08
GROUP_AZALEA_MART EQU $08
GROUP_KURTS_HOUSE EQU $08
GROUP_AZALEA_GYM EQU $08
GROUP_ROUTE_33 EQU $08
GROUP_AZALEA_TOWN EQU $08
GROUP_LAKE_OF_RAGE_HIDDEN_POWER_HOUSE EQU $09
GROUP_LAKE_OF_RAGE_MAGIKARP_HOUSE EQU $09
GROUP_ROUTE_43_MAHOGANY_GATE EQU $09
GROUP_ROUTE_43_GATE EQU $09
GROUP_ROUTE_43 EQU $09
GROUP_LAKE_OF_RAGE EQU $09
GROUP_ROUTE_32 EQU $0a
GROUP_ROUTE_35 EQU $0a
GROUP_ROUTE_36 EQU $0a
GROUP_ROUTE_37 EQU $0a
GROUP_VIOLET_CITY EQU $0a
GROUP_VIOLET_MART EQU $0a
GROUP_VIOLET_GYM EQU $0a
GROUP_EARLS_POKEMON_ACADEMY EQU $0a
GROUP_VIOLET_NICKNAME_SPEECH_HOUSE EQU $0a
GROUP_VIOLET_POKECENTER_1F EQU $0a
GROUP_VIOLET_ONIX_TRADE_HOUSE EQU $0a
GROUP_ROUTE_32_RUINS_OF_ALPH_GATE EQU $0a
GROUP_ROUTE_32_POKECENTER_1F EQU $0a
GROUP_ROUTE_35_GOLDENROD_GATE EQU $0a
GROUP_ROUTE_35_NATIONAL_PARK_GATE EQU $0a
GROUP_ROUTE_36_RUINS_OF_ALPH_GATE EQU $0a
GROUP_ROUTE_36_NATIONAL_PARK_GATE EQU $0a
GROUP_ROUTE_34 EQU $0b
GROUP_GOLDENROD_CITY EQU $0b
GROUP_GOLDENROD_GYM EQU $0b
GROUP_GOLDENROD_BIKE_SHOP EQU $0b
GROUP_GOLDENROD_HAPPINESS_RATER EQU $0b
GROUP_GOLDENROD_BILLS_HOUSE EQU $0b
GROUP_GOLDENROD_MAGNET_TRAIN_STATION EQU $0b
GROUP_GOLDENROD_FLOWER_SHOP EQU $0b
GROUP_GOLDENROD_PP_SPEECH_HOUSE EQU $0b
GROUP_GOLDENROD_NAME_RATERS_HOUSE EQU $0b
GROUP_GOLDENROD_DEPT_STORE_1F EQU $0b
GROUP_GOLDENROD_DEPT_STORE_2F EQU $0b
GROUP_GOLDENROD_DEPT_STORE_3F EQU $0b
GROUP_GOLDENROD_DEPT_STORE_4F EQU $0b
GROUP_GOLDENROD_DEPT_STORE_5F EQU $0b
GROUP_GOLDENROD_DEPT_STORE_6F EQU $0b
GROUP_GOLDENROD_DEPT_STORE_ELEVATOR EQU $0b
GROUP_GOLDENROD_DEPT_STORE_ROOF EQU $0b
GROUP_GOLDENROD_GAME_CORNER EQU $0b
GROUP_GOLDENROD_POKECENTER_1F EQU $0b
GROUP_GOLDENROD_POKECOM_CENTER_2F_MOBILE EQU $0b
GROUP_ILEX_FOREST_AZALEA_GATE EQU $0b
GROUP_ROUTE_34_ILEX_FOREST_GATE EQU $0b
GROUP_DAY_CARE EQU $0b
GROUP_ROUTE_6 EQU $0c
GROUP_ROUTE_11 EQU $0c
GROUP_VERMILION_CITY EQU $0c
GROUP_VERMILION_HOUSE_FISHING_SPEECH_HOUSE EQU $0c
GROUP_VERMILION_POKECENTER_1F EQU $0c
GROUP_VERMILION_POKECENTER_2F_BETA EQU $0c
GROUP_POKEMON_FAN_CLUB EQU $0c
GROUP_VERMILION_MAGNET_TRAIN_SPEECH_HOUSE EQU $0c
GROUP_VERMILION_MART EQU $0c
GROUP_VERMILION_HOUSE_DIGLETTS_CAVE_SPEECH_HOUSE EQU $0c
GROUP_VERMILION_GYM EQU $0c
GROUP_ROUTE_6_SAFFRON_GATE EQU $0c
GROUP_ROUTE_6_UNDERGROUND_ENTRANCE EQU $0c
GROUP_ROUTE_1 EQU $0d
GROUP_PALLET_TOWN EQU $0d
GROUP_REDS_HOUSE_1F EQU $0d
GROUP_REDS_HOUSE_2F EQU $0d
GROUP_BLUES_HOUSE EQU $0d
GROUP_OAKS_LAB EQU $0d
GROUP_ROUTE_3 EQU $0e
GROUP_PEWTER_CITY EQU $0e
GROUP_PEWTER_NIDORAN_SPEECH_HOUSE EQU $0e
GROUP_PEWTER_GYM EQU $0e
GROUP_PEWTER_MART EQU $0e
GROUP_PEWTER_POKECENTER_1F EQU $0e
GROUP_PEWTER_POKECENTER_2F_BETA EQU $0e
GROUP_PEWTER_SNOOZE_SPEECH_HOUSE EQU $0e
GROUP_OLIVINE_PORT EQU $0f
GROUP_VERMILION_PORT EQU $0f
GROUP_FAST_SHIP_1F EQU $0f
GROUP_FAST_SHIP_CABINS_NNW_NNE_NE EQU $0f
GROUP_FAST_SHIP_CABINS_SW_SSW_NW EQU $0f
GROUP_FAST_SHIP_CABINS_SE_SSE_CAPTAINS_CABIN EQU $0f
GROUP_FAST_SHIP_B1F EQU $0f
GROUP_OLIVINE_PORT_PASSAGE EQU $0f
GROUP_VERMILION_PORT_PASSAGE EQU $0f
GROUP_MOUNT_MOON_SQUARE EQU $0f
GROUP_MOUNT_MOON_GIFT_SHOP EQU $0f
GROUP_TIN_TOWER_ROOF EQU $0f
GROUP_ROUTE_23 EQU $10
GROUP_INDIGO_PLATEAU_POKECENTER_1F EQU $10
GROUP_WILLS_ROOM EQU $10
GROUP_KOGAS_ROOM EQU $10
GROUP_BRUNOS_ROOM EQU $10
GROUP_KARENS_ROOM EQU $10
GROUP_LANCES_ROOM EQU $10
GROUP_HALL_OF_FAME EQU $10
GROUP_ROUTE_13 EQU $11
GROUP_ROUTE_14 EQU $11
GROUP_ROUTE_15 EQU $11
GROUP_ROUTE_18 EQU $11
GROUP_FUCHSIA_CITY EQU $11
GROUP_FUCHSIA_MART EQU $11
GROUP_SAFARI_ZONE_MAIN_OFFICE EQU $11
GROUP_FUCHSIA_GYM EQU $11
GROUP_FUCHSIA_BILL_SPEECH_HOUSE EQU $11
GROUP_FUCHSIA_POKECENTER_1F EQU $11
GROUP_FUCHSIA_POKECENTER_2F_BETA EQU $11
GROUP_SAFARI_ZONE_WARDENS_HOME EQU $11
GROUP_ROUTE_15_FUCHSIA_GATE EQU $11
GROUP_ROUTE_8 EQU $12
GROUP_ROUTE_12 EQU $12
GROUP_ROUTE_10B EQU $12
GROUP_ROUTE_10_SOUTH EQU $12
GROUP_LAVENDER_TOWN EQU $12
GROUP_LAVENDER_POKECENTER_1F EQU $12
GROUP_LAVENDER_POKECENTER_2F_BETA EQU $12
GROUP_MR_FUJIS_HOUSE EQU $12
GROUP_LAVENDER_TOWN_SPEECH_HOUSE EQU $12
GROUP_LAVENDER_NAME_RATER EQU $12
GROUP_LAVENDER_MART EQU $12
GROUP_SOUL_HOUSE EQU $12
GROUP_LAV_RADIO_TOWER_1F EQU $12
GROUP_ROUTE_8_SAFFRON_GATE EQU $12
GROUP_ROUTE_12_SUPER_ROD_HOUSE EQU $12
GROUP_ROUTE_28 EQU $13
GROUP_SILVER_CAVE_OUTSIDE EQU $13
GROUP_SILVER_CAVE_POKECENTER_1F EQU $13
GROUP_ROUTE_28_FAMOUS_SPEECH_HOUSE EQU $13
GROUP_POKECENTER_2F EQU $14
GROUP_TRADE_CENTER EQU $14
GROUP_COLOSSEUM EQU $14
GROUP_TIME_CAPSULE EQU $14
GROUP_MOBILE_TRADE_ROOM_MOBILE EQU $14
GROUP_MOBILE_BATTLE_ROOM EQU $14
GROUP_ROUTE_7 EQU $15
GROUP_ROUTE_16 EQU $15
GROUP_ROUTE_17 EQU $15
GROUP_CELADON_CITY EQU $15
GROUP_CELADON_DEPT_STORE_1F EQU $15
GROUP_CELADON_DEPT_STORE_2F EQU $15
GROUP_CELADON_DEPT_STORE_3F EQU $15
GROUP_CELADON_DEPT_STORE_4F EQU $15
GROUP_CELADON_DEPT_STORE_5F EQU $15
GROUP_CELADON_DEPT_STORE_6F EQU $15
GROUP_CELADON_DEPT_STORE_ELEVATOR EQU $15
GROUP_CELADON_MANSION_1F EQU $15
GROUP_CELADON_MANSION_2F EQU $15
GROUP_CELADON_MANSION_3F EQU $15
GROUP_CELADON_MANSION_ROOF EQU $15
GROUP_CELADON_MANSION_ROOF_HOUSE EQU $15
GROUP_CELADON_POKECENTER_1F EQU $15
GROUP_CELADON_POKECENTER_2F_BETA EQU $15
GROUP_CELADON_GAME_CORNER EQU $15
GROUP_CELADON_GAME_CORNER_PRIZE_ROOM EQU $15
GROUP_CELADON_GYM EQU $15
GROUP_CELADON_CAFE EQU $15
GROUP_ROUTE_16_FUCHSIA_SPEECH_HOUSE EQU $15
GROUP_ROUTE_16_GATE EQU $15
GROUP_ROUTE_7_SAFFRON_GATE EQU $15
GROUP_ROUTE_17_18_GATE EQU $15
GROUP_ROUTE_40 EQU $16
GROUP_ROUTE_41 EQU $16
GROUP_CIANWOOD_CITY EQU $16
GROUP_MANIAS_HOUSE EQU $16
GROUP_CIANWOOD_GYM EQU $16
GROUP_CIANWOOD_POKECENTER_1F EQU $16
GROUP_CIANWOOD_PHARMACY EQU $16
GROUP_CIANWOOD_CITY_PHOTO_STUDIO EQU $16
GROUP_CIANWOOD_LUGIA_SPEECH_HOUSE EQU $16
GROUP_POKE_SEERS_HOUSE EQU $16
GROUP_BATTLE_TOWER_1F EQU $16
GROUP_BATTLE_TOWER_BATTLE_ROOM EQU $16
GROUP_BATTLE_TOWER_ELEVATOR EQU $16
GROUP_BATTLE_TOWER_HALLWAY EQU $16
GROUP_ROUTE_40_BATTLE_TOWER_GATE EQU $16
GROUP_BATTLE_TOWER_OUTSIDE EQU $16
GROUP_ROUTE_2 EQU $17
GROUP_ROUTE_22 EQU $17
GROUP_VIRIDIAN_CITY EQU $17
GROUP_VIRIDIAN_GYM EQU $17
GROUP_VIRIDIAN_NICKNAME_SPEECH_HOUSE EQU $17
GROUP_TRAINER_HOUSE_1F EQU $17
GROUP_TRAINER_HOUSE_B1F EQU $17
GROUP_VIRIDIAN_MART EQU $17
GROUP_VIRIDIAN_POKECENTER_1F EQU $17
GROUP_VIRIDIAN_POKECENTER_2F_BETA EQU $17
GROUP_ROUTE_2_NUGGET_SPEECH_HOUSE EQU $17
GROUP_ROUTE_2_GATE EQU $17
GROUP_VICTORY_ROAD_GATE EQU $17
GROUP_ROUTE_26 EQU $18
GROUP_ROUTE_27 EQU $18
GROUP_ROUTE_29 EQU $18
GROUP_NEW_BARK_TOWN EQU $18
GROUP_ELMS_LAB EQU $18
GROUP_KRISS_HOUSE_1F EQU $18
GROUP_KRISS_HOUSE_2F EQU $18
GROUP_KRISS_NEIGHBORS_HOUSE EQU $18
GROUP_ELMS_HOUSE EQU $18
GROUP_ROUTE_26_HEAL_SPEECH_HOUSE EQU $18
GROUP_ROUTE_26_DAY_OF_WEEK_SIBLINGS_HOUSE EQU $18
GROUP_ROUTE_27_SANDSTORM_HOUSE EQU $18
GROUP_ROUTE_29_46_GATE EQU $18
GROUP_ROUTE_5 EQU $19
GROUP_SAFFRON_CITY EQU $19
GROUP_FIGHTING_DOJO EQU $19
GROUP_SAFFRON_GYM EQU $19
GROUP_SAFFRON_MART EQU $19
GROUP_SAFFRON_POKECENTER_1F EQU $19
GROUP_SAFFRON_POKECENTER_2F_BETA EQU $19
GROUP_MR_PSYCHICS_HOUSE EQU $19
GROUP_SAFFRON_TRAIN_STATION EQU $19
GROUP_SILPH_CO_1F EQU $19
GROUP_COPYCATS_HOUSE_1F EQU $19
GROUP_COPYCATS_HOUSE_2F EQU $19
GROUP_ROUTE_5_UNDERGROUND_ENTRANCE EQU $19
GROUP_ROUTE_5_SAFFRON_CITY_GATE EQU $19
GROUP_ROUTE_5_CLEANSE_TAG_SPEECH_HOUSE EQU $19
GROUP_ROUTE_30 EQU $1a
GROUP_ROUTE_31 EQU $1a
GROUP_CHERRYGROVE_CITY EQU $1a
GROUP_CHERRYGROVE_MART EQU $1a
GROUP_CHERRYGROVE_POKECENTER_1F EQU $1a
GROUP_CHERRYGROVE_GYM_SPEECH_HOUSE EQU $1a
GROUP_GUIDE_GENTS_HOUSE EQU $1a
GROUP_CHERRYGROVE_EVOLUTION_SPEECH_HOUSE EQU $1a
GROUP_ROUTE_30_BERRY_SPEECH_HOUSE EQU $1a
GROUP_MR_POKEMONS_HOUSE EQU $1a
GROUP_ROUTE_31_VIOLET_GATE EQU $1a

; map ids
MAP_OLIVINE_POKECENTER_1F EQU $01
MAP_OLIVINE_GYM EQU $02
MAP_OLIVINE_VOLTORB_HOUSE EQU $03
MAP_OLIVINE_HOUSE_BETA EQU $04
MAP_OLIVINE_PUNISHMENT_SPEECH_HOUSE EQU $05
MAP_OLIVINE_GOOD_ROD_HOUSE EQU $06
MAP_OLIVINE_CAFE EQU $07
MAP_OLIVINE_MART EQU $08
MAP_ROUTE_38_ECRUTEAK_GATE EQU $09
MAP_ROUTE_39_BARN EQU $0a
MAP_ROUTE_39_FARMHOUSE EQU $0b
MAP_ROUTE_38 EQU $0c
MAP_ROUTE_39 EQU $0d
MAP_OLIVINE_CITY EQU $0e
MAP_MAHOGANY_RED_GYARADOS_SPEECH_HOUSE EQU $01
MAP_MAHOGANY_GYM EQU $02
MAP_MAHOGANY_POKECENTER_1F EQU $03
MAP_ROUTE_42_ECRUTEAK_GATE EQU $04
MAP_ROUTE_42 EQU $05
MAP_ROUTE_44 EQU $06
MAP_MAHOGANY_TOWN EQU $07
MAP_SPROUT_TOWER_1F EQU $01
MAP_SPROUT_TOWER_2F EQU $02
MAP_SPROUT_TOWER_3F EQU $03
MAP_TIN_TOWER_1F EQU $04
MAP_TIN_TOWER_2F EQU $05
MAP_TIN_TOWER_3F EQU $06
MAP_TIN_TOWER_4F EQU $07
MAP_TIN_TOWER_5F EQU $08
MAP_TIN_TOWER_6F EQU $09
MAP_TIN_TOWER_7F EQU $0a
MAP_TIN_TOWER_8F EQU $0b
MAP_TIN_TOWER_9F EQU $0c
MAP_BURNED_TOWER_1F EQU $0d
MAP_BURNED_TOWER_B1F EQU $0e
MAP_NATIONAL_PARK EQU $0f
MAP_NATIONAL_PARK_BUG_CONTEST EQU $10
MAP_RADIO_TOWER_1F EQU $11
MAP_RADIO_TOWER_2F EQU $12
MAP_RADIO_TOWER_3F EQU $13
MAP_RADIO_TOWER_4F EQU $14
MAP_RADIO_TOWER_5F EQU $15
MAP_RUINS_OF_ALPH_OUTSIDE EQU $16
MAP_RUINS_OF_ALPH_HO_OH_CHAMBER EQU $17
MAP_RUINS_OF_ALPH_KABUTO_CHAMBER EQU $18
MAP_RUINS_OF_ALPH_OMANYTE_CHAMBER EQU $19
MAP_RUINS_OF_ALPH_AERODACTYL_CHAMBER EQU $1a
MAP_RUINS_OF_ALPH_INNER_CHAMBER EQU $1b
MAP_RUINS_OF_ALPH_RESEARCH_CENTER EQU $1c
MAP_RUINS_OF_ALPH_HO_OH_ITEM_ROOM EQU $1d
MAP_RUINS_OF_ALPH_KABUTO_ITEM_ROOM EQU $1e
MAP_RUINS_OF_ALPH_OMANYTE_ITEM_ROOM EQU $1f
MAP_RUINS_OF_ALPH_AERODACTYL_ITEM_ROOM EQU $20
MAP_RUINS_OF_ALPH_HO_OH_WORD_ROOM EQU $21
MAP_RUINS_OF_ALPH_KABUTO_WORD_ROOM EQU $22
MAP_RUINS_OF_ALPH_OMANYTE_WORD_ROOM EQU $23
MAP_RUINS_OF_ALPH_AERODACTYL_WORD_ROOM EQU $24
MAP_UNION_CAVE_1F EQU $25
MAP_UNION_CAVE_B1F EQU $26
MAP_UNION_CAVE_B2F EQU $27
MAP_SLOWPOKE_WELL_B1F EQU $28
MAP_SLOWPOKE_WELL_B2F EQU $29
MAP_OLIVINE_LIGHTHOUSE_1F EQU $2a
MAP_OLIVINE_LIGHTHOUSE_2F EQU $2b
MAP_OLIVINE_LIGHTHOUSE_3F EQU $2c
MAP_OLIVINE_LIGHTHOUSE_4F EQU $2d
MAP_OLIVINE_LIGHTHOUSE_5F EQU $2e
MAP_OLIVINE_LIGHTHOUSE_6F EQU $2f
MAP_MAHOGANY_MART_1F EQU $30
MAP_TEAM_ROCKET_BASE_B1F EQU $31
MAP_TEAM_ROCKET_BASE_B2F EQU $32
MAP_TEAM_ROCKET_BASE_B3F EQU $33
MAP_ILEX_FOREST EQU $34
MAP_WAREHOUSE_ENTRANCE EQU $35
MAP_UNDERGROUND_PATH_SWITCH_ROOM_ENTRANCES EQU $36
MAP_GOLDENROD_DEPT_STORE_B1F EQU $37
MAP_UNDERGROUND_WAREHOUSE EQU $38
MAP_MOUNT_MORTAR_1F_OUTSIDE EQU $39
MAP_MOUNT_MORTAR_1F_INSIDE EQU $3a
MAP_MOUNT_MORTAR_2F_INSIDE EQU $3b
MAP_MOUNT_MORTAR_B1F EQU $3c
MAP_ICE_PATH_1F EQU $3d
MAP_ICE_PATH_B1F EQU $3e
MAP_ICE_PATH_B2F_MAHOGANY_SIDE EQU $3f
MAP_ICE_PATH_B2F_BLACKTHORN_SIDE EQU $40
MAP_ICE_PATH_B3F EQU $41
MAP_WHIRL_ISLAND_NW EQU $42
MAP_WHIRL_ISLAND_NE EQU $43
MAP_WHIRL_ISLAND_SW EQU $44
MAP_WHIRL_ISLAND_CAVE EQU $45
MAP_WHIRL_ISLAND_SE EQU $46
MAP_WHIRL_ISLAND_B1F EQU $47
MAP_WHIRL_ISLAND_B2F EQU $48
MAP_WHIRL_ISLAND_LUGIA_CHAMBER EQU $49
MAP_SILVER_CAVE_ROOM_1 EQU $4a
MAP_SILVER_CAVE_ROOM_2 EQU $4b
MAP_SILVER_CAVE_ROOM_3 EQU $4c
MAP_SILVER_CAVE_ITEM_ROOMS EQU $4d
MAP_DARK_CAVE_VIOLET_ENTRANCE EQU $4e
MAP_DARK_CAVE_BLACKTHORN_ENTRANCE EQU $4f
MAP_DRAGONS_DEN_1F EQU $50
MAP_DRAGONS_DEN_B1F EQU $51
MAP_DRAGON_SHRINE EQU $52
MAP_TOHJO_FALLS EQU $53
MAP_DIGLETTS_CAVE EQU $54
MAP_MOUNT_MOON EQU $55
MAP_UNDERGROUND EQU $56
MAP_ROCK_TUNNEL_1F EQU $57
MAP_ROCK_TUNNEL_B1F EQU $58
MAP_SAFARI_ZONE_FUCHSIA_GATE_BETA EQU $59
MAP_SAFARI_ZONE_BETA EQU $5a
MAP_VICTORY_ROAD EQU $5b
MAP_ECRUTEAK_HOUSE EQU $01
MAP_WISE_TRIOS_ROOM EQU $02
MAP_ECRUTEAK_POKECENTER_1F EQU $03
MAP_ECRUTEAK_LUGIA_SPEECH_HOUSE EQU $04
MAP_DANCE_THEATRE EQU $05
MAP_ECRUTEAK_MART EQU $06
MAP_ECRUTEAK_GYM EQU $07
MAP_ECRUTEAK_ITEMFINDER_HOUSE EQU $08
MAP_ECRUTEAK_CITY EQU $09
MAP_BLACKTHORN_GYM_1F EQU $01
MAP_BLACKTHORN_GYM_2F EQU $02
MAP_BLACKTHORN_DRAGON_SPEECH_HOUSE EQU $03
MAP_BLACKTHORN_DODRIO_TRADE_HOUSE EQU $04
MAP_BLACKTHORN_MART EQU $05
MAP_BLACKTHORN_POKECENTER_1F EQU $06
MAP_MOVE_DELETERS_HOUSE EQU $07
MAP_ROUTE_45 EQU $08
MAP_ROUTE_46 EQU $09
MAP_BLACKTHORN_CITY EQU $0a
MAP_CINNABAR_POKECENTER_1F EQU $01
MAP_CINNABAR_POKECENTER_2F_BETA EQU $02
MAP_ROUTE_19___FUCHSIA_GATE EQU $03
MAP_SEAFOAM_GYM EQU $04
MAP_ROUTE_19 EQU $05
MAP_ROUTE_20 EQU $06
MAP_ROUTE_21 EQU $07
MAP_CINNABAR_ISLAND EQU $08
MAP_CERULEAN_GYM_BADGE_SPEECH_HOUSE EQU $01
MAP_CERULEAN_POLICE_STATION EQU $02
MAP_CERULEAN_TRADE_SPEECH_HOUSE EQU $03
MAP_CERULEAN_POKECENTER_1F EQU $04
MAP_CERULEAN_POKECENTER_2F_BETA EQU $05
MAP_CERULEAN_GYM EQU $06
MAP_CERULEAN_MART EQU $07
MAP_ROUTE_10_POKECENTER_1F EQU $08
MAP_ROUTE_10_POKECENTER_2F_BETA EQU $09
MAP_POWER_PLANT EQU $0a
MAP_BILLS_HOUSE EQU $0b
MAP_ROUTE_4 EQU $0c
MAP_ROUTE_9 EQU $0d
MAP_ROUTE_10A EQU $0e
MAP_ROUTE_10_NORTH EQU $0e
MAP_ROUTE_24 EQU $0f
MAP_ROUTE_25 EQU $10
MAP_CERULEAN_CITY EQU $11
MAP_AZALEA_POKECENTER_1F EQU $01
MAP_CHARCOAL_KILN EQU $02
MAP_AZALEA_MART EQU $03
MAP_KURTS_HOUSE EQU $04
MAP_AZALEA_GYM EQU $05
MAP_ROUTE_33 EQU $06
MAP_AZALEA_TOWN EQU $07
MAP_LAKE_OF_RAGE_HIDDEN_POWER_HOUSE EQU $01
MAP_LAKE_OF_RAGE_MAGIKARP_HOUSE EQU $02
MAP_ROUTE_43_MAHOGANY_GATE EQU $03
MAP_ROUTE_43_GATE EQU $04
MAP_ROUTE_43 EQU $05
MAP_LAKE_OF_RAGE EQU $06
MAP_ROUTE_32 EQU $01
MAP_ROUTE_35 EQU $02
MAP_ROUTE_36 EQU $03
MAP_ROUTE_37 EQU $04
MAP_VIOLET_CITY EQU $05
MAP_VIOLET_MART EQU $06
MAP_VIOLET_GYM EQU $07
MAP_EARLS_POKEMON_ACADEMY EQU $08
MAP_VIOLET_NICKNAME_SPEECH_HOUSE EQU $09
MAP_VIOLET_POKECENTER_1F EQU $0a
MAP_VIOLET_ONIX_TRADE_HOUSE EQU $0b
MAP_ROUTE_32_RUINS_OF_ALPH_GATE EQU $0c
MAP_ROUTE_32_POKECENTER_1F EQU $0d
MAP_ROUTE_35_GOLDENROD_GATE EQU $0e
MAP_ROUTE_35_NATIONAL_PARK_GATE EQU $0f
MAP_ROUTE_36_RUINS_OF_ALPH_GATE EQU $10
MAP_ROUTE_36_NATIONAL_PARK_GATE EQU $11
MAP_ROUTE_34 EQU $01
MAP_GOLDENROD_CITY EQU $02
MAP_GOLDENROD_GYM EQU $03
MAP_GOLDENROD_BIKE_SHOP EQU $04
MAP_GOLDENROD_HAPPINESS_RATER EQU $05
MAP_GOLDENROD_BILLS_HOUSE EQU $06
MAP_GOLDENROD_MAGNET_TRAIN_STATION EQU $07
MAP_GOLDENROD_FLOWER_SHOP EQU $08
MAP_GOLDENROD_PP_SPEECH_HOUSE EQU $09
MAP_GOLDENROD_NAME_RATERS_HOUSE EQU $0a
MAP_GOLDENROD_DEPT_STORE_1F EQU $0b
MAP_GOLDENROD_DEPT_STORE_2F EQU $0c
MAP_GOLDENROD_DEPT_STORE_3F EQU $0d
MAP_GOLDENROD_DEPT_STORE_4F EQU $0e
MAP_GOLDENROD_DEPT_STORE_5F EQU $0f
MAP_GOLDENROD_DEPT_STORE_6F EQU $10
MAP_GOLDENROD_DEPT_STORE_ELEVATOR EQU $11
MAP_GOLDENROD_DEPT_STORE_ROOF EQU $12
MAP_GOLDENROD_GAME_CORNER EQU $13
MAP_GOLDENROD_POKECENTER_1F EQU $14
MAP_GOLDENROD_POKECOM_CENTER_2F_MOBILE EQU $15
MAP_ILEX_FOREST_AZALEA_GATE EQU $16
MAP_ROUTE_34_ILEX_FOREST_GATE EQU $17
MAP_DAY_CARE EQU $18
MAP_ROUTE_6 EQU $01
MAP_ROUTE_11 EQU $02
MAP_VERMILION_CITY EQU $03
MAP_VERMILION_HOUSE_FISHING_SPEECH_HOUSE EQU $04
MAP_VERMILION_POKECENTER_1F EQU $05
MAP_VERMILION_POKECENTER_2F_BETA EQU $06
MAP_POKEMON_FAN_CLUB EQU $07
MAP_VERMILION_MAGNET_TRAIN_SPEECH_HOUSE EQU $08
MAP_VERMILION_MART EQU $09
MAP_VERMILION_HOUSE_DIGLETTS_CAVE_SPEECH_HOUSE EQU $0a
MAP_VERMILION_GYM EQU $0b
MAP_ROUTE_6_SAFFRON_GATE EQU $0c
MAP_ROUTE_6_UNDERGROUND_ENTRANCE EQU $0d
MAP_ROUTE_1 EQU $01
MAP_PALLET_TOWN EQU $02
MAP_REDS_HOUSE_1F EQU $03
MAP_REDS_HOUSE_2F EQU $04
MAP_BLUES_HOUSE EQU $05
MAP_OAKS_LAB EQU $06
MAP_ROUTE_3 EQU $01
MAP_PEWTER_CITY EQU $02
MAP_PEWTER_NIDORAN_SPEECH_HOUSE EQU $03
MAP_PEWTER_GYM EQU $04
MAP_PEWTER_MART EQU $05
MAP_PEWTER_POKECENTER_1F EQU $06
MAP_PEWTER_POKECENTER_2F_BETA EQU $07
MAP_PEWTER_SNOOZE_SPEECH_HOUSE EQU $08
MAP_OLIVINE_PORT EQU $01
MAP_VERMILION_PORT EQU $02
MAP_FAST_SHIP_1F EQU $03
MAP_FAST_SHIP_CABINS_NNW_NNE_NE EQU $04
MAP_FAST_SHIP_CABINS_SW_SSW_NW EQU $05
MAP_FAST_SHIP_CABINS_SE_SSE_CAPTAINS_CABIN EQU $06
MAP_FAST_SHIP_B1F EQU $07
MAP_OLIVINE_PORT_PASSAGE EQU $08
MAP_VERMILION_PORT_PASSAGE EQU $09
MAP_MOUNT_MOON_SQUARE EQU $0a
MAP_MOUNT_MOON_GIFT_SHOP EQU $0b
MAP_TIN_TOWER_ROOF EQU $0c
MAP_ROUTE_23 EQU $01
MAP_INDIGO_PLATEAU_POKECENTER_1F EQU $02
MAP_WILLS_ROOM EQU $03
MAP_KOGAS_ROOM EQU $04
MAP_BRUNOS_ROOM EQU $05
MAP_KARENS_ROOM EQU $06
MAP_LANCES_ROOM EQU $07
MAP_HALL_OF_FAME EQU $08
MAP_ROUTE_13 EQU $01
MAP_ROUTE_14 EQU $02
MAP_ROUTE_15 EQU $03
MAP_ROUTE_18 EQU $04
MAP_FUCHSIA_CITY EQU $05
MAP_FUCHSIA_MART EQU $06
MAP_SAFARI_ZONE_MAIN_OFFICE EQU $07
MAP_FUCHSIA_GYM EQU $08
MAP_FUCHSIA_BILL_SPEECH_HOUSE EQU $09
MAP_FUCHSIA_POKECENTER_1F EQU $0a
MAP_FUCHSIA_POKECENTER_2F_BETA EQU $0b
MAP_SAFARI_ZONE_WARDENS_HOME EQU $0c
MAP_ROUTE_15_FUCHSIA_GATE EQU $0d
MAP_ROUTE_8 EQU $01
MAP_ROUTE_12 EQU $02
MAP_ROUTE_10B EQU $03
MAP_ROUTE_10_SOUTH EQU $03
MAP_LAVENDER_TOWN EQU $04
MAP_LAVENDER_POKECENTER_1F EQU $05
MAP_LAVENDER_POKECENTER_2F_BETA EQU $06
MAP_MR_FUJIS_HOUSE EQU $07
MAP_LAVENDER_TOWN_SPEECH_HOUSE EQU $08
MAP_LAVENDER_NAME_RATER EQU $09
MAP_LAVENDER_MART EQU $0a
MAP_SOUL_HOUSE EQU $0b
MAP_LAV_RADIO_TOWER_1F EQU $0c
MAP_ROUTE_8_SAFFRON_GATE EQU $0d
MAP_ROUTE_12_SUPER_ROD_HOUSE EQU $0e
MAP_ROUTE_28 EQU $01
MAP_SILVER_CAVE_OUTSIDE EQU $02
MAP_SILVER_CAVE_POKECENTER_1F EQU $03
MAP_ROUTE_28_FAMOUS_SPEECH_HOUSE EQU $04
MAP_POKECENTER_2F EQU $01
MAP_TRADE_CENTER EQU $02
MAP_COLOSSEUM EQU $03
MAP_TIME_CAPSULE EQU $04
MAP_MOBILE_TRADE_ROOM_MOBILE EQU $05
MAP_MOBILE_BATTLE_ROOM EQU $06
MAP_ROUTE_7 EQU $01
MAP_ROUTE_16 EQU $02
MAP_ROUTE_17 EQU $03
MAP_CELADON_CITY EQU $04
MAP_CELADON_DEPT_STORE_1F EQU $05
MAP_CELADON_DEPT_STORE_2F EQU $06
MAP_CELADON_DEPT_STORE_3F EQU $07
MAP_CELADON_DEPT_STORE_4F EQU $08
MAP_CELADON_DEPT_STORE_5F EQU $09
MAP_CELADON_DEPT_STORE_6F EQU $0a
MAP_CELADON_DEPT_STORE_ELEVATOR EQU $0b
MAP_CELADON_MANSION_1F EQU $0c
MAP_CELADON_MANSION_2F EQU $0d
MAP_CELADON_MANSION_3F EQU $0e
MAP_CELADON_MANSION_ROOF EQU $0f
MAP_CELADON_MANSION_ROOF_HOUSE EQU $10
MAP_CELADON_POKECENTER_1F EQU $11
MAP_CELADON_POKECENTER_2F_BETA EQU $12
MAP_CELADON_GAME_CORNER EQU $13
MAP_CELADON_GAME_CORNER_PRIZE_ROOM EQU $14
MAP_CELADON_GYM EQU $15
MAP_CELADON_CAFE EQU $16
MAP_ROUTE_16_FUCHSIA_SPEECH_HOUSE EQU $17
MAP_ROUTE_16_GATE EQU $18
MAP_ROUTE_7_SAFFRON_GATE EQU $19
MAP_ROUTE_17_18_GATE EQU $1a
MAP_ROUTE_40 EQU $01
MAP_ROUTE_41 EQU $02
MAP_CIANWOOD_CITY EQU $03
MAP_MANIAS_HOUSE EQU $04
MAP_CIANWOOD_GYM EQU $05
MAP_CIANWOOD_POKECENTER_1F EQU $06
MAP_CIANWOOD_PHARMACY EQU $07
MAP_CIANWOOD_CITY_PHOTO_STUDIO EQU $08
MAP_CIANWOOD_LUGIA_SPEECH_HOUSE EQU $09
MAP_POKE_SEERS_HOUSE EQU $0a
MAP_BATTLE_TOWER_1F EQU $0b
MAP_BATTLE_TOWER_BATTLE_ROOM EQU $0c
MAP_BATTLE_TOWER_ELEVATOR EQU $0d
MAP_BATTLE_TOWER_HALLWAY EQU $0e
MAP_ROUTE_40_BATTLE_TOWER_GATE EQU $0f
MAP_BATTLE_TOWER_OUTSIDE EQU $10
MAP_ROUTE_2 EQU $01
MAP_ROUTE_22 EQU $02
MAP_VIRIDIAN_CITY EQU $03
MAP_VIRIDIAN_GYM EQU $04
MAP_VIRIDIAN_NICKNAME_SPEECH_HOUSE EQU $05
MAP_TRAINER_HOUSE_1F EQU $06
MAP_TRAINER_HOUSE_B1F EQU $07
MAP_VIRIDIAN_MART EQU $08
MAP_VIRIDIAN_POKECENTER_1F EQU $09
MAP_VIRIDIAN_POKECENTER_2F_BETA EQU $0a
MAP_ROUTE_2_NUGGET_SPEECH_HOUSE EQU $0b
MAP_ROUTE_2_GATE EQU $0c
MAP_VICTORY_ROAD_GATE EQU $0d
MAP_ROUTE_26 EQU $01
MAP_ROUTE_27 EQU $02
MAP_ROUTE_29 EQU $03
MAP_NEW_BARK_TOWN EQU $04
MAP_ELMS_LAB EQU $05
MAP_KRISS_HOUSE_1F EQU $06
MAP_KRISS_HOUSE_2F EQU $07
MAP_KRISS_NEIGHBORS_HOUSE EQU $08
MAP_ELMS_HOUSE EQU $09
MAP_ROUTE_26_HEAL_SPEECH_HOUSE EQU $0a
MAP_ROUTE_26_DAY_OF_WEEK_SIBLINGS_HOUSE EQU $0b
MAP_ROUTE_27_SANDSTORM_HOUSE EQU $0c
MAP_ROUTE_29_46_GATE EQU $0d
MAP_ROUTE_5 EQU $01
MAP_SAFFRON_CITY EQU $02
MAP_FIGHTING_DOJO EQU $03
MAP_SAFFRON_GYM EQU $04
MAP_SAFFRON_MART EQU $05
MAP_SAFFRON_POKECENTER_1F EQU $06
MAP_SAFFRON_POKECENTER_2F_BETA EQU $07
MAP_MR_PSYCHICS_HOUSE EQU $08
MAP_SAFFRON_TRAIN_STATION EQU $09
MAP_SILPH_CO_1F EQU $0a
MAP_COPYCATS_HOUSE_1F EQU $0b
MAP_COPYCATS_HOUSE_2F EQU $0c
MAP_ROUTE_5_UNDERGROUND_ENTRANCE EQU $0d
MAP_ROUTE_5_SAFFRON_CITY_GATE EQU $0e
MAP_ROUTE_5_CLEANSE_TAG_SPEECH_HOUSE EQU $0f
MAP_ROUTE_30 EQU $01
MAP_ROUTE_31 EQU $02
MAP_CHERRYGROVE_CITY EQU $03
MAP_CHERRYGROVE_MART EQU $04
MAP_CHERRYGROVE_POKECENTER_1F EQU $05
MAP_CHERRYGROVE_GYM_SPEECH_HOUSE EQU $06
MAP_GUIDE_GENTS_HOUSE EQU $07
MAP_CHERRYGROVE_EVOLUTION_SPEECH_HOUSE EQU $08
MAP_ROUTE_30_BERRY_SPEECH_HOUSE EQU $09
MAP_MR_POKEMONS_HOUSE EQU $0a
MAP_ROUTE_31_VIOLET_GATE EQU $0b

; item constants
NO_ITEM       EQU $00
MASTER_BALL   EQU $01
ULTRA_BALL    EQU $02
BRIGHTPOWDER  EQU $03
GREAT_BALL    EQU $04
POKE_BALL     EQU $05
BICYCLE       EQU $07
MOON_STONE    EQU $08
ANTIDOTE      EQU $09
BURN_HEAL     EQU $0A
ICE_HEAL      EQU $0B
AWAKENING     EQU $0C
PARLYZ_HEAL   EQU $0D
FULL_RESTORE  EQU $0E
MAX_POTION    EQU $0F
HYPER_POTION  EQU $10
SUPER_POTION  EQU $11
POTION        EQU $12
ESCAPE_ROPE   EQU $13
REPEL         EQU $14
MAX_ELIXER    EQU $15
FIRE_STONE    EQU $16
THUNDERSTONE  EQU $17
WATER_STONE   EQU $18
HP_UP         EQU $1A
PROTEIN       EQU $1B
IRON          EQU $1C
CARBOS        EQU $1D
LUCKY_PUNCH   EQU $1E
CALCIUM       EQU $1F
RARE_CANDY    EQU $20
X_ACCURACY    EQU $21
LEAF_STONE    EQU $22
METAL_POWDER  EQU $23
NUGGET        EQU $24
POKE_DOLL     EQU $25
FULL_HEAL     EQU $26
REVIVE        EQU $27
MAX_REVIVE    EQU $28
GUARD_SPEC    EQU $29
SUPER_REPEL   EQU $2A
MAX_REPEL     EQU $2B
DIRE_HIT      EQU $2C
FRESH_WATER   EQU $2E
SODA_POP      EQU $2F
LEMONADE      EQU $30
X_ATTACK      EQU $31
X_DEFEND      EQU $33
X_SPEED       EQU $34
X_SPECIAL     EQU $35
COIN_CASE     EQU $36
ITEMFINDER    EQU $37
EXP_SHARE     EQU $39
OLD_ROD       EQU $3A
GOOD_ROD      EQU $3B
SILVER_LEAF   EQU $3C
SUPER_ROD     EQU $3D
PP_UP         EQU $3E
ETHER         EQU $3F
MAX_ETHER     EQU $40
ELIXER        EQU $41
RED_SCALE     EQU $42
SECRETPOTION  EQU $43
S_S_TICKET    EQU $44
MYSTERY_EGG   EQU $45
CLEAR_BELL    EQU $46
SILVER_WING   EQU $47
MOOMOO_MILK   EQU $48
QUICK_CLAW    EQU $49
PSNCUREBERRY  EQU $4A
GOLD_LEAF     EQU $4B
SOFT_SAND     EQU $4C
SHARP_BEAK    EQU $4D
PRZCUREBERRY  EQU $4E
BURNT_BERRY   EQU $4F
ICE_BERRY     EQU $50
POISON_BARB   EQU $51
KINGS_ROCK    EQU $52
BITTER_BERRY  EQU $53
MINT_BERRY    EQU $54
RED_APRICORN  EQU $55
TINYMUSHROOM  EQU $56
BIG_MUSHROOM  EQU $57
SILVERPOWDER  EQU $58
BLU_APRICORN  EQU $59
AMULET_COIN   EQU $5B
YLW_APRICORN  EQU $5C
GRN_APRICORN  EQU $5D
CLEANSE_TAG   EQU $5E
MYSTIC_WATER  EQU $5F
TWISTEDSPOON  EQU $60
WHT_APRICORN  EQU $61
BLACKBELT     EQU $62
BLK_APRICORN  EQU $63
PNK_APRICORN  EQU $65
BLACKGLASSES  EQU $66
SLOWPOKETAIL  EQU $67
PINK_BOW      EQU $68
STICK         EQU $69
SMOKE_BALL    EQU $6A
NEVERMELTICE  EQU $6B
MAGNET        EQU $6C
MIRACLEBERRY  EQU $6D
PEARL         EQU $6E
BIG_PEARL     EQU $6F
EVERSTONE     EQU $70
SPELL_TAG     EQU $71
RAGECANDYBAR  EQU $72
GS_BALL       EQU $73
BLUE_CARD     EQU $74
MIRACLE_SEED  EQU $75
THICK_CLUB    EQU $76
FOCUS_BAND    EQU $77
ENERGYPOWDER  EQU $79
ENERGY_ROOT   EQU $7A
HEAL_POWDER   EQU $7B
REVIVAL_HERB  EQU $7C
HARD_STONE    EQU $7D
LUCKY_EGG     EQU $7E
CARD_KEY      EQU $7F
MACHINE_PART  EQU $80
EGG_TICKET    EQU $81
LOST_ITEM     EQU $82
STARDUST      EQU $83
STAR_PIECE    EQU $84
BASEMENT_KEY  EQU $85
PASS          EQU $86
CHARCOAL      EQU $8A
BERRY_JUICE   EQU $8B
SCOPE_LENS    EQU $8C
METAL_COAT    EQU $8F
DRAGON_FANG   EQU $90
LEFTOVERS     EQU $92
MYSTERYBERRY  EQU $96
DRAGON_SCALE  EQU $97
BERSERK_GENE  EQU $98
SACRED_ASH    EQU $9C
HEAVY_BALL    EQU $9D
FLOWER_MAIL   EQU $9E
LEVEL_BALL    EQU $9F
LURE_BALL     EQU $A0
FAST_BALL     EQU $A1
LIGHT_BALL    EQU $A3
FRIEND_BALL   EQU $A4
MOON_BALL     EQU $A5
LOVE_BALL     EQU $A6
NORMAL_BOX    EQU $A7
GORGEOUS_BOX  EQU $A8
SUN_STONE     EQU $A9
POLKADOT_BOW  EQU $AA
UP_GRADE      EQU $AC
BERRY         EQU $AD
GOLD_BERRY    EQU $AE
SQUIRTBOTTLE  EQU $AF
PARK_BALL     EQU $B1
RAINBOW_WING  EQU $B2
BRICK_PIECE   EQU $B4
SURF_MAIL     EQU $B5
LITEBLUEMAIL  EQU $B6
PORTRAITM_AIL EQU $B7
LOVELY_MAIL   EQU $B8
EON_MAIL      EQU $B9
MORPH_MAIL    EQU $BA
BLUESKY_MAIL  EQU $BB
MUSIC_MAIL    EQU $BC
MIRAGE_MAIL   EQU $BD
TM_01         EQU $BF
TM_02         EQU $C0
TM_03         EQU $C1
TM_04         EQU $C2
TM_05         EQU $C4
TM_06         EQU $C5
TM_07         EQU $C6
TM_08         EQU $C7
TM_09         EQU $C8
TM_10         EQU $C9
TM_11         EQU $CA
TM_12         EQU $CB
TM_13         EQU $CC
TM_14         EQU $CD
TM_15         EQU $CE
TM_16         EQU $CF
TM_17         EQU $D0
TM_18         EQU $D1
TM_19         EQU $D2
TM_20         EQU $D3
TM_21         EQU $D4
TM_22         EQU $D5
TM_23         EQU $D6
TM_24         EQU $D7
TM_25         EQU $D8
TM_26         EQU $D9
TM_27         EQU $DA
TM_28         EQU $DB
TM_29         EQU $DD
TM_30         EQU $DE
TM_31         EQU $DF
TM_32         EQU $E0
TM_33         EQU $E1
TM_34         EQU $E2
TM_35         EQU $E3
TM_36         EQU $E4
TM_37         EQU $E5
TM_38         EQU $E6
TM_39         EQU $E7
TM_40         EQU $E8
TM_41         EQU $E9
TM_42         EQU $EA
TM_43         EQU $EB
TM_44         EQU $EC
TM_45         EQU $ED
TM_46         EQU $EE
TM_47         EQU $EF
TM_48         EQU $F0
TM_49         EQU $F1
TM_50         EQU $F2
HM_01         EQU $F3
HM_02         EQU $F4
HM_03         EQU $F5
HM_04         EQU $F6
HM_05         EQU $F7
HM_06         EQU $F8
HM_07         EQU $F9

; days of the week
SUNDAY    EQU $00
MONDAY    EQU $01
TUESDAY   EQU $02
WEDNESDAY EQU $03
THURSDAY  EQU $04
FRIDAY    EQU $05
SATURDAY  EQU $06

; times of day
MORN EQU 0
DAY EQU 1
NITE EQU 2
DARKNESS EQU 3

; trainer groups
FALKNER      EQU $01
WHITNEY      EQU $02
BUGSY        EQU $03
MORTY        EQU $04
PRYCE        EQU $05
JASMINE      EQU $06
CHUCK        EQU $07
CLAIR        EQU $08
RIVAL1       EQU $09
POKEMON_PROF EQU $0A
WILL         EQU $0B
CAL          EQU $0C
BRUNO        EQU $0D
KAREN        EQU $0E
KOGA         EQU $0F
CHAMPION     EQU $10
BROCK        EQU $11
MISTY        EQU $12
LT_SURGE     EQU $13
SCIENTIST    EQU $14
ERIKA        EQU $15
YOUNGSTER    EQU $16
SCHOOLBOY    EQU $17
BIRD_KEEPER  EQU $18
LASS         EQU $19
JANINE       EQU $1A
COOLTRAINERM EQU $1B
COOLTRAINERF EQU $1C
BEAUTY       EQU $1D
POKEMANIAC   EQU $1E
GRUNTM       EQU $1F
GENTLEMAN    EQU $20
SKIER        EQU $21
TEACHER      EQU $22
SABRINA      EQU $23
BUG_CATCHER  EQU $24
FISHER       EQU $25
SWIMMERM     EQU $26
SWIMMERF     EQU $27
SAILOR       EQU $28
SUPER_NERD   EQU $29
RIVAL2       EQU $2A
GUITARIST    EQU $2B
HIKER        EQU $2C
BIKER        EQU $2D
BLAINE       EQU $2E
BURGLAR      EQU $2F
FIREBREATHER EQU $30
JUGGLER      EQU $31
BLACKBELT_T  EQU $32
EXECUTIVEM   EQU $33
PSYCHIC_T    EQU $34
PICNICKER    EQU $35
CAMPER       EQU $36
EXECUTIVEF   EQU $37
SAGE         EQU $38
MEDIUM       EQU $39
BOARDER      EQU $3A
POKEFANM     EQU $3B
KIMONO_GIRL  EQU $3C
TWINS        EQU $3D
POKEFANF     EQU $3E
RED          EQU $3F
BLUE         EQU $40
OFFICER      EQU $41
GRUNTF       EQU $42
MYSTICALMAN  EQU $43

; Rival1
RIVAL1_1 EQU $01
RIVAL1_2 EQU $02
RIVAL1_3 EQU $03
RIVAL1_4 EQU $04
RIVAL1_5 EQU $05
RIVAL1_6 EQU $06
RIVAL1_7 EQU $07
RIVAL1_8 EQU $08
RIVAL1_9 EQU $09
RIVAL1_10 EQU $0a
RIVAL1_11 EQU $0b
RIVAL1_12 EQU $0c
RIVAL1_13 EQU $0d
RIVAL1_14 EQU $0e
RIVAL1_15 EQU $0f

; PokemonProf
; no trainers

; SpecialPKMN1
CAL1 EQU $01
CAL2 EQU $02
CAL3 EQU $03

; Champion
LANCE EQU $01

; Scientist
ROSS EQU $01
MITCH EQU $02
JED EQU $03
MARC EQU $04
RICH EQU $05

; Youngster
JOEY1 EQU $01
MIKEY EQU $02
ALBERT EQU $03
GORDON EQU $04
SAMUEL EQU $05
IAN EQU $06
JOEY2 EQU $07
JOEY3 EQU $08
WARREN EQU $09
JIMMY EQU $0a
OWEN EQU $0b
JASON EQU $0c
JOEY4 EQU $0d
JOEY5 EQU $0e

; Schoolboy
JACK1 EQU $01
KIPP EQU $02
ALAN1 EQU $03
JOHNNY EQU $04
DANNY EQU $05
TOMMY EQU $06
DUDLEY EQU $07
JOE EQU $08
BILLY EQU $09
CHAD1 EQU $0a
NATE EQU $0b
RICKY EQU $0c
JACK2 EQU $0d
JACK3 EQU $0e
ALAN2 EQU $0f
ALAN3 EQU $10
CHAD2 EQU $11
CHAD3 EQU $12
JACK4 EQU $13
JACK5 EQU $14
ALAN4 EQU $15
ALAN5 EQU $16
CHAD4 EQU $17
CHAD5 EQU $18

; BirdKeeper
ROD EQU $01
ABE EQU $02
BRYAN EQU $03
THEO EQU $04
TOBY EQU $05
DENIS EQU $06
VANCE1 EQU $07
HANK EQU $08
ROY EQU $09
BORIS EQU $0a
BOB EQU $0b
JOSE1 EQU $0c
PETER EQU $0d
JOSE2 EQU $0e
PERRY EQU $0f
BRET EQU $10
JOSE3 EQU $11
VANCE2 EQU $12
VANCE3 EQU $13

; Lass
CARRIE EQU $01
BRIDGET EQU $02
ALICE EQU $03
KRISE EQU $04
CONNIE1 EQU $05
LINDA EQU $06
LAURA EQU $07
SHANNON EQU $08
MICHELLE EQU $09
DANA1 EQU $0a
ELLEN EQU $0b
CONNIE2 EQU $0c
CONNIE3 EQU $0d
DANA2 EQU $0e
DANA3 EQU $0f
DANA4 EQU $10
DANA5 EQU $11

; CooltrainerM
NICK EQU $01
AARON EQU $02
PAUL EQU $03
CODY EQU $04
MIKE EQU $05
GAVEN1 EQU $06
GAVEN2 EQU $07
RYAN EQU $08
JAKE EQU $09
GAVEN3 EQU $0a
BLAKE EQU $0b
BRIAN EQU $0c
ERICK EQU $0d
ANDY EQU $0e
TYLER EQU $0f
SEAN EQU $10
KEVIN EQU $11
STEVE EQU $12
ALLEN EQU $13
DARIN EQU $14

; CooltrainerF
GWEN EQU $01
LOIS EQU $02
FRAN EQU $03
LOLA EQU $04
KATE EQU $05
IRENE EQU $06
KELLY EQU $07
JOYCE EQU $08
BETH1 EQU $09
REENA1 EQU $0a
MEGAN EQU $0b
BETH2 EQU $0c
CAROL EQU $0d
QUINN EQU $0e
EMMA EQU $0f
CYBIL EQU $10
JENN EQU $11
BETH3 EQU $12
REENA2 EQU $13
REENA3 EQU $14
CARA EQU $15

; Beauty
VICTORIA EQU $01
SAMANTHA EQU $02
JULIE EQU $03
JACLYN EQU $04
BRENDA EQU $05
CASSIE EQU $06
CAROLINE EQU $07
CARLENE EQU $08
JESSICA EQU $09
RACHAEL EQU $0a
ANGELICA EQU $0b
KENDRA EQU $0c
VERONICA EQU $0d
JULIA EQU $0e
THERESA EQU $0f
VALERIE EQU $10
OLIVIA EQU $11

; Pokemaniac
LARRY EQU $01
ANDREW EQU $02
CALVIN EQU $03
SHANE EQU $04
BEN EQU $05
BRENT1 EQU $06
RON EQU $07
ETHAN EQU $08
BRENT2 EQU $09
BRENT3 EQU $0a
ISSAC EQU $0b
DONALD EQU $0c
ZACH EQU $0d
BRENT4 EQU $0e
MILLER EQU $0f

; Gentleman
PRESTON EQU $01
EDWARD EQU $02
GREGORY EQU $03
VIRGIL EQU $04
ALFRED EQU $05

; Skier
ROXANNE EQU $01
CLARISSA EQU $02

; Teacher
COLETTE EQU $01
HILLARY EQU $02
SHIRLEY EQU $03

; BugCatcher
DON EQU $01
ROB EQU $02
ED EQU $03
WADE1 EQU $04
BUG_CATCHER_BENNY EQU $05
AL EQU $06
JOSH EQU $07
ARNIE1 EQU $08
KEN EQU $09
WADE2 EQU $0a
WADE3 EQU $0b
DOUG EQU $0c
ARNIE2 EQU $0d
ARNIE3 EQU $0e
WADE4 EQU $0f
WADE5 EQU $10
ARNIE4 EQU $11
ARNIE5 EQU $12
WAYNE EQU $13

; Fisher
JUSTIN EQU $01
RALPH1 EQU $02
ARNOLD EQU $03
KYLE EQU $04
HENRY EQU $05
MARVIN EQU $06
TULLY1 EQU $07
ANDRE EQU $08
RAYMOND EQU $09
WILTON1 EQU $0a
EDGAR EQU $0b
JONAH EQU $0c
MARTIN EQU $0d
STEPHEN EQU $0e
BARNEY EQU $0f
RALPH2 EQU $10
RALPH3 EQU $11
TULLY2 EQU $12
TULLY3 EQU $13
WILTON2 EQU $14
SCOTT EQU $15
WILTON3 EQU $16
RALPH4 EQU $17
RALPH5 EQU $18
TULLY4 EQU $19

; SwimmerM
HAROLD EQU $01
SIMON EQU $02
RANDALL EQU $03
CHARLIE EQU $04
GEORGE EQU $05
BERKE EQU $06
KIRK EQU $07
MATHEW EQU $08
HAL EQU $09
PATON EQU $0a
DARYL EQU $0b
WALTER EQU $0c
TONY EQU $0d
JEROME EQU $0e
TUCKER EQU $0f
RICK EQU $10
CAMERON EQU $11
SETH EQU $12
JAMES EQU $13
LEWIS EQU $14
PARKER EQU $15

; SwimmerF
ELAINE EQU $01
PAULA EQU $02
KAYLEE EQU $03
SUSIE EQU $04
DENISE EQU $05
KARA EQU $06
WENDY EQU $07
LISA EQU $08
JILL EQU $09
MARY EQU $0a
KATIE EQU $0b
DAWN EQU $0c
TARA EQU $0d
NICOLE EQU $0e
LORI EQU $0f
JODY EQU $10
NIKKI EQU $11
DIANA EQU $12
BRIANA EQU $13

; Sailor
EUGENE EQU $01
HUEY1 EQU $02
TERRELL EQU $03
KENT EQU $04
ERNEST EQU $05
JEFF EQU $06
GARRETT EQU $07
KENNETH EQU $08
STANLY EQU $09
HARRY EQU $0a
HUEY2 EQU $0b
HUEY3 EQU $0c
HUEY4 EQU $0d

; SuperNerd
STAN EQU $01
ERIC EQU $02
GREGG EQU $03
JAY EQU $04
DAVE EQU $05
SAM EQU $06
TOM EQU $07
PAT EQU $08
SHAWN EQU $09
TERU EQU $0a
RUSS EQU $0b
NORTON EQU $0c
HUGH EQU $0d
MARKUS EQU $0e

; Guitarist
CLYDE EQU $01
VINCENT EQU $02

; Hiker
ANTHONY1 EQU $01
RUSSELL EQU $02
PHILLIP EQU $03
LEONARD EQU $04
ANTHONY2 EQU $05
BENJAMIN EQU $06
ERIK EQU $07
MICHAEL EQU $08
PARRY1 EQU $09
TIMOTHY EQU $0a
BAILEY EQU $0b
ANTHONY3 EQU $0c
TIM EQU $0d
NOLAND EQU $0e
SIDNEY EQU $0f
KENNY EQU $10
JIM EQU $11
DANIEL EQU $12
PARRY2 EQU $13
PARRY3 EQU $14
ANTHONY4 EQU $15
ANTHONY5 EQU $16

; Biker
BIKER_BENNY EQU $01
KAZU EQU $02
DWAYNE EQU $03
HARRIS EQU $04
ZEKE EQU $05
CHARLES EQU $06
RILEY EQU $07
JOEL EQU $08
GLENN EQU $09

; Burglar
DUNCAN EQU $01
EDDIE EQU $02
COREY EQU $03

; Firebreather
OTIS EQU $01
DICK EQU $02
NED EQU $03
BURT EQU $04
BILL EQU $05
WALT EQU $06
RAY EQU $07
LYLE EQU $08

; Juggler
IRWIN1 EQU $01
FRITZ EQU $02
HORTON EQU $03
IRWIN2 EQU $04
IRWIN3 EQU $05
IRWIN4 EQU $06

; Blackbelt
KENJI1 EQU $01
YOSHI EQU $02
KENJI2 EQU $03
LAO EQU $04
NOB EQU $05
KIYO EQU $06
LUNG EQU $07
KENJI3 EQU $08
WAI EQU $09

; Psychic
NATHAN EQU $01
FRANKLIN EQU $02
HERMAN EQU $03
FIDEL EQU $04
GREG EQU $05
NORMAN EQU $06
MARK EQU $07
PHIL EQU $08
RICHARD EQU $09
GILBERT EQU $0a
JARED EQU $0b
RODNEY EQU $0c

; Picnicker
LIZ1 EQU $01
GINA1 EQU $02
BROOKE EQU $03
KIM EQU $04
CINDY EQU $05
HOPE EQU $06
SHARON EQU $07
DEBRA EQU $08
GINA2 EQU $09
ERIN1 EQU $0a
LIZ2 EQU $0b
LIZ3 EQU $0c
HEIDI EQU $0d
EDNA EQU $0e
GINA3 EQU $0f
TIFFANY1 EQU $10
TIFFANY2 EQU $11
ERIN2 EQU $12
TANYA EQU $13
TIFFANY3 EQU $14
ERIN3 EQU $15
LIZ4 EQU $16
LIZ5 EQU $17
GINA4 EQU $18
GINA5 EQU $19
TIFFANY4 EQU $1a

; Camper
ROLAND EQU $01
TODD1 EQU $02
IVAN EQU $03
ELLIOT EQU $04
BARRY EQU $05
LLOYD EQU $06
DEAN EQU $07
SID EQU $08
HARVEY EQU $09
DALE EQU $0a
TED EQU $0b
TODD2 EQU $0c
TODD3 EQU $0d
THOMAS EQU $0e
LEROY EQU $0f
DAVID EQU $10
JOHN EQU $11
JERRY EQU $12
SPENCER EQU $13
TODD4 EQU $14
TODD5 EQU $15
QUENTIN EQU $16

; Sage
CHOW EQU $01
NICO EQU $02
JIN EQU $03
TROY EQU $04
JEFFREY EQU $05
PING EQU $06
EDMOND EQU $07
NEAL EQU $08
LI EQU $09
GAKU EQU $0a
MASA EQU $0b
KOJI EQU $0c

; Medium
MARTHA EQU $01
GRACE EQU $02
BETHANY EQU $03
MARGRET EQU $04
ETHEL EQU $05
REBECCA EQU $06
DORIS EQU $07

; Boarder
RONALD EQU $01
BRAD EQU $02
DOUGLAS EQU $03

; PokefanM
WILLIAM EQU $01
DEREK1 EQU $02
ROBERT EQU $03
JOSHUA EQU $04
CARTER EQU $05
TREVOR EQU $06
BRANDON EQU $07
JEREMY EQU $08
COLIN EQU $09
DEREK2 EQU $0a
DEREK3 EQU $0b
ALEX EQU $0c
REX EQU $0d
ALLAN EQU $0e

; KimonoGirl
NAOKO1 EQU $01
NAOKO2 EQU $02
SAYO EQU $03
ZUKI EQU $04
KUNI EQU $05
MIKI EQU $06

; Twins
AMYANDMAY1 EQU $01
ANNANDANNE1 EQU $02
ANNANDANNE2 EQU $03
AMYANDMAY2 EQU $04
JOANDZOE1 EQU $05
JOANDZOE2 EQU $06
MEGANDPEG1 EQU $07
MEGANDPEG2 EQU $08
LEAANDPIA1 EQU $09
LEAANDPIA2 EQU $0a

; PokefanF
BEVERLY1 EQU $01
RUTH EQU $02
BEVERLY2 EQU $03
BEVERLY3 EQU $04
GEORGIA EQU $05
JAIME EQU $06

; Officer
KEITH EQU $01
DIRK EQU $02

; Mysticalman
EUSINE EQU $01


; evolution types
EVOLVE_LEVEL     EQU 1
EVOLVE_ITEM      EQU 2
EVOLVE_TRADE     EQU 3
EVOLVE_HAPPINESS EQU 4
EVOLVE_STAT      EQU 5

; happiness evolution triggers
TR_ANYTIME EQU 1
TR_MORNDAY EQU 2
TR_NITE    EQU 3

; stat evolution triggers
ATK_GT_DEF EQU 1
ATK_LT_DEF EQU 2
ATK_EQ_DEF EQU 3


; connection directions
EAST EQU 1
WEST EQU 2
SOUTH EQU 4
NORTH EQU 8


; map dimensions
OLIVINE_POKECENTER_1F_HEIGHT EQU 4
OLIVINE_POKECENTER_1F_WIDTH EQU 5
OLIVINE_GYM_HEIGHT EQU 8
OLIVINE_GYM_WIDTH EQU 5
OLIVINE_VOLTORB_HOUSE_HEIGHT EQU 4
OLIVINE_VOLTORB_HOUSE_WIDTH EQU 4
OLIVINE_HOUSE_BETA_HEIGHT EQU 4
OLIVINE_HOUSE_BETA_WIDTH EQU 4
OLIVINE_PUNISHMENT_SPEECH_HOUSE_HEIGHT EQU 4
OLIVINE_PUNISHMENT_SPEECH_HOUSE_WIDTH EQU 4
OLIVINE_GOOD_ROD_HOUSE_HEIGHT EQU 4
OLIVINE_GOOD_ROD_HOUSE_WIDTH EQU 4
OLIVINE_CAFE_HEIGHT EQU 4
OLIVINE_CAFE_WIDTH EQU 4
OLIVINE_MART_HEIGHT EQU 4
OLIVINE_MART_WIDTH EQU 6
ROUTE_38_ECRUTEAK_GATE_HEIGHT EQU 4
ROUTE_38_ECRUTEAK_GATE_WIDTH EQU 5
ROUTE_39_BARN_HEIGHT EQU 4
ROUTE_39_BARN_WIDTH EQU 4
ROUTE_39_FARMHOUSE_HEIGHT EQU 4
ROUTE_39_FARMHOUSE_WIDTH EQU 4
ROUTE_38_HEIGHT EQU 9
ROUTE_38_WIDTH EQU 20
ROUTE_39_HEIGHT EQU 18
ROUTE_39_WIDTH EQU 10
OLIVINE_CITY_HEIGHT EQU 18
OLIVINE_CITY_WIDTH EQU 20
MAHOGANY_RED_GYARADOS_SPEECH_HOUSE_HEIGHT EQU 4
MAHOGANY_RED_GYARADOS_SPEECH_HOUSE_WIDTH EQU 4
MAHOGANY_GYM_HEIGHT EQU 9
MAHOGANY_GYM_WIDTH EQU 5
MAHOGANY_POKECENTER_1F_HEIGHT EQU 4
MAHOGANY_POKECENTER_1F_WIDTH EQU 5
ROUTE_42_ECRUTEAK_GATE_HEIGHT EQU 4
ROUTE_42_ECRUTEAK_GATE_WIDTH EQU 5
ROUTE_42_HEIGHT EQU 9
ROUTE_42_WIDTH EQU 30
ROUTE_44_HEIGHT EQU 9
ROUTE_44_WIDTH EQU 30
MAHOGANY_TOWN_HEIGHT EQU 9
MAHOGANY_TOWN_WIDTH EQU 10
SPROUT_TOWER_1F_HEIGHT EQU 8
SPROUT_TOWER_1F_WIDTH EQU 10
SPROUT_TOWER_2F_HEIGHT EQU 8
SPROUT_TOWER_2F_WIDTH EQU 10
SPROUT_TOWER_3F_HEIGHT EQU 8
SPROUT_TOWER_3F_WIDTH EQU 10
TIN_TOWER_1F_HEIGHT EQU 9
TIN_TOWER_1F_WIDTH EQU 10
TIN_TOWER_2F_HEIGHT EQU 9
TIN_TOWER_2F_WIDTH EQU 10
TIN_TOWER_3F_HEIGHT EQU 9
TIN_TOWER_3F_WIDTH EQU 10
TIN_TOWER_4F_HEIGHT EQU 9
TIN_TOWER_4F_WIDTH EQU 10
TIN_TOWER_5F_HEIGHT EQU 9
TIN_TOWER_5F_WIDTH EQU 10
TIN_TOWER_6F_HEIGHT EQU 9
TIN_TOWER_6F_WIDTH EQU 10
TIN_TOWER_7F_HEIGHT EQU 9
TIN_TOWER_7F_WIDTH EQU 10
TIN_TOWER_8F_HEIGHT EQU 9
TIN_TOWER_8F_WIDTH EQU 10
TIN_TOWER_9F_HEIGHT EQU 9
TIN_TOWER_9F_WIDTH EQU 10
BURNED_TOWER_1F_HEIGHT EQU 9
BURNED_TOWER_1F_WIDTH EQU 10
BURNED_TOWER_B1F_HEIGHT EQU 9
BURNED_TOWER_B1F_WIDTH EQU 10
NATIONAL_PARK_HEIGHT EQU 27
NATIONAL_PARK_WIDTH EQU 20
NATIONAL_PARK_BUG_CONTEST_HEIGHT EQU 27
NATIONAL_PARK_BUG_CONTEST_WIDTH EQU 20
RADIO_TOWER_1F_HEIGHT EQU 4
RADIO_TOWER_1F_WIDTH EQU 9
RADIO_TOWER_2F_HEIGHT EQU 4
RADIO_TOWER_2F_WIDTH EQU 9
RADIO_TOWER_3F_HEIGHT EQU 4
RADIO_TOWER_3F_WIDTH EQU 9
RADIO_TOWER_4F_HEIGHT EQU 4
RADIO_TOWER_4F_WIDTH EQU 9
RADIO_TOWER_5F_HEIGHT EQU 4
RADIO_TOWER_5F_WIDTH EQU 9
RUINS_OF_ALPH_OUTSIDE_HEIGHT EQU 18
RUINS_OF_ALPH_OUTSIDE_WIDTH EQU 10
RUINS_OF_ALPH_HO_OH_CHAMBER_HEIGHT EQU 5
RUINS_OF_ALPH_HO_OH_CHAMBER_WIDTH EQU 4
RUINS_OF_ALPH_KABUTO_CHAMBER_HEIGHT EQU 5
RUINS_OF_ALPH_KABUTO_CHAMBER_WIDTH EQU 4
RUINS_OF_ALPH_OMANYTE_CHAMBER_HEIGHT EQU 5
RUINS_OF_ALPH_OMANYTE_CHAMBER_WIDTH EQU 4
RUINS_OF_ALPH_AERODACTYL_CHAMBER_HEIGHT EQU 5
RUINS_OF_ALPH_AERODACTYL_CHAMBER_WIDTH EQU 4
RUINS_OF_ALPH_INNER_CHAMBER_HEIGHT EQU 14
RUINS_OF_ALPH_INNER_CHAMBER_WIDTH EQU 10
RUINS_OF_ALPH_RESEARCH_CENTER_HEIGHT EQU 4
RUINS_OF_ALPH_RESEARCH_CENTER_WIDTH EQU 4
RUINS_OF_ALPH_HO_OH_ITEM_ROOM_HEIGHT EQU 5
RUINS_OF_ALPH_HO_OH_ITEM_ROOM_WIDTH EQU 4
RUINS_OF_ALPH_KABUTO_ITEM_ROOM_HEIGHT EQU 5
RUINS_OF_ALPH_KABUTO_ITEM_ROOM_WIDTH EQU 4
RUINS_OF_ALPH_OMANYTE_ITEM_ROOM_HEIGHT EQU 5
RUINS_OF_ALPH_OMANYTE_ITEM_ROOM_WIDTH EQU 4
RUINS_OF_ALPH_AERODACTYL_ITEM_ROOM_HEIGHT EQU 5
RUINS_OF_ALPH_AERODACTYL_ITEM_ROOM_WIDTH EQU 4
RUINS_OF_ALPH_HO_OH_WORD_ROOM_HEIGHT EQU 12
RUINS_OF_ALPH_HO_OH_WORD_ROOM_WIDTH EQU 10
RUINS_OF_ALPH_KABUTO_WORD_ROOM_HEIGHT EQU 7
RUINS_OF_ALPH_KABUTO_WORD_ROOM_WIDTH EQU 10
RUINS_OF_ALPH_OMANYTE_WORD_ROOM_HEIGHT EQU 8
RUINS_OF_ALPH_OMANYTE_WORD_ROOM_WIDTH EQU 10
RUINS_OF_ALPH_AERODACTYL_WORD_ROOM_HEIGHT EQU 7
RUINS_OF_ALPH_AERODACTYL_WORD_ROOM_WIDTH EQU 10
UNION_CAVE_1F_HEIGHT EQU 18
UNION_CAVE_1F_WIDTH EQU 10
UNION_CAVE_B1F_HEIGHT EQU 18
UNION_CAVE_B1F_WIDTH EQU 10
UNION_CAVE_B2F_HEIGHT EQU 18
UNION_CAVE_B2F_WIDTH EQU 10
SLOWPOKE_WELL_B1F_HEIGHT EQU 9
SLOWPOKE_WELL_B1F_WIDTH EQU 10
SLOWPOKE_WELL_B2F_HEIGHT EQU 9
SLOWPOKE_WELL_B2F_WIDTH EQU 10
OLIVINE_LIGHTHOUSE_1F_HEIGHT EQU 9
OLIVINE_LIGHTHOUSE_1F_WIDTH EQU 10
OLIVINE_LIGHTHOUSE_2F_HEIGHT EQU 9
OLIVINE_LIGHTHOUSE_2F_WIDTH EQU 10
OLIVINE_LIGHTHOUSE_3F_HEIGHT EQU 9
OLIVINE_LIGHTHOUSE_3F_WIDTH EQU 10
OLIVINE_LIGHTHOUSE_4F_HEIGHT EQU 9
OLIVINE_LIGHTHOUSE_4F_WIDTH EQU 10
OLIVINE_LIGHTHOUSE_5F_HEIGHT EQU 9
OLIVINE_LIGHTHOUSE_5F_WIDTH EQU 10
OLIVINE_LIGHTHOUSE_6F_HEIGHT EQU 9
OLIVINE_LIGHTHOUSE_6F_WIDTH EQU 10
MAHOGANY_MART_1F_HEIGHT EQU 4
MAHOGANY_MART_1F_WIDTH EQU 4
TEAM_ROCKET_BASE_B1F_HEIGHT EQU 9
TEAM_ROCKET_BASE_B1F_WIDTH EQU 15
TEAM_ROCKET_BASE_B2F_HEIGHT EQU 9
TEAM_ROCKET_BASE_B2F_WIDTH EQU 15
TEAM_ROCKET_BASE_B3F_HEIGHT EQU 9
TEAM_ROCKET_BASE_B3F_WIDTH EQU 15
ILEX_FOREST_HEIGHT EQU 27
ILEX_FOREST_WIDTH EQU 15
WAREHOUSE_ENTRANCE_HEIGHT EQU 18
WAREHOUSE_ENTRANCE_WIDTH EQU 15
UNDERGROUND_PATH_SWITCH_ROOM_ENTRANCES_HEIGHT EQU 18
UNDERGROUND_PATH_SWITCH_ROOM_ENTRANCES_WIDTH EQU 15
GOLDENROD_DEPT_STORE_B1F_HEIGHT EQU 9
GOLDENROD_DEPT_STORE_B1F_WIDTH EQU 10
UNDERGROUND_WAREHOUSE_HEIGHT EQU 9
UNDERGROUND_WAREHOUSE_WIDTH EQU 10
MOUNT_MORTAR_1F_OUTSIDE_HEIGHT EQU 18
MOUNT_MORTAR_1F_OUTSIDE_WIDTH EQU 20
MOUNT_MORTAR_1F_INSIDE_HEIGHT EQU 27
MOUNT_MORTAR_1F_INSIDE_WIDTH EQU 20
MOUNT_MORTAR_2F_INSIDE_HEIGHT EQU 18
MOUNT_MORTAR_2F_INSIDE_WIDTH EQU 20
MOUNT_MORTAR_B1F_HEIGHT EQU 18
MOUNT_MORTAR_B1F_WIDTH EQU 20
ICE_PATH_1F_HEIGHT EQU 18
ICE_PATH_1F_WIDTH EQU 20
ICE_PATH_B1F_HEIGHT EQU 18
ICE_PATH_B1F_WIDTH EQU 10
ICE_PATH_B2F_MAHOGANY_SIDE_HEIGHT EQU 9
ICE_PATH_B2F_MAHOGANY_SIDE_WIDTH EQU 10
ICE_PATH_B2F_BLACKTHORN_SIDE_HEIGHT EQU 9
ICE_PATH_B2F_BLACKTHORN_SIDE_WIDTH EQU 5
ICE_PATH_B3F_HEIGHT EQU 9
ICE_PATH_B3F_WIDTH EQU 10
WHIRL_ISLAND_NW_HEIGHT EQU 9
WHIRL_ISLAND_NW_WIDTH EQU 5
WHIRL_ISLAND_NE_HEIGHT EQU 9
WHIRL_ISLAND_NE_WIDTH EQU 10
WHIRL_ISLAND_SW_HEIGHT EQU 9
WHIRL_ISLAND_SW_WIDTH EQU 10
WHIRL_ISLAND_CAVE_HEIGHT EQU 9
WHIRL_ISLAND_CAVE_WIDTH EQU 5
WHIRL_ISLAND_SE_HEIGHT EQU 9
WHIRL_ISLAND_SE_WIDTH EQU 5
WHIRL_ISLAND_B1F_HEIGHT EQU 18
WHIRL_ISLAND_B1F_WIDTH EQU 20
WHIRL_ISLAND_B2F_HEIGHT EQU 18
WHIRL_ISLAND_B2F_WIDTH EQU 10
WHIRL_ISLAND_LUGIA_CHAMBER_HEIGHT EQU 9
WHIRL_ISLAND_LUGIA_CHAMBER_WIDTH EQU 10
SILVER_CAVE_ROOM_1_HEIGHT EQU 18
SILVER_CAVE_ROOM_1_WIDTH EQU 10
SILVER_CAVE_ROOM_2_HEIGHT EQU 18
SILVER_CAVE_ROOM_2_WIDTH EQU 15
SILVER_CAVE_ROOM_3_HEIGHT EQU 18
SILVER_CAVE_ROOM_3_WIDTH EQU 10
SILVER_CAVE_ITEM_ROOMS_HEIGHT EQU 9
SILVER_CAVE_ITEM_ROOMS_WIDTH EQU 10
DARK_CAVE_VIOLET_ENTRANCE_HEIGHT EQU 18
DARK_CAVE_VIOLET_ENTRANCE_WIDTH EQU 20
DARK_CAVE_BLACKTHORN_ENTRANCE_HEIGHT EQU 18
DARK_CAVE_BLACKTHORN_ENTRANCE_WIDTH EQU 15
DRAGONS_DEN_1F_HEIGHT EQU 9
DRAGONS_DEN_1F_WIDTH EQU 5
DRAGONS_DEN_B1F_HEIGHT EQU 18
DRAGONS_DEN_B1F_WIDTH EQU 20
DRAGON_SHRINE_HEIGHT EQU 5
DRAGON_SHRINE_WIDTH EQU 5
TOHJO_FALLS_HEIGHT EQU 9
TOHJO_FALLS_WIDTH EQU 15
DIGLETTS_CAVE_HEIGHT EQU 18
DIGLETTS_CAVE_WIDTH EQU 10
MOUNT_MOON_HEIGHT EQU 9
MOUNT_MOON_WIDTH EQU 15
UNDERGROUND_HEIGHT EQU 14
UNDERGROUND_WIDTH EQU 3
ROCK_TUNNEL_1F_HEIGHT EQU 18
ROCK_TUNNEL_1F_WIDTH EQU 15
ROCK_TUNNEL_B1F_HEIGHT EQU 18
ROCK_TUNNEL_B1F_WIDTH EQU 15
SAFARI_ZONE_FUCHSIA_GATE_BETA_HEIGHT EQU 4
SAFARI_ZONE_FUCHSIA_GATE_BETA_WIDTH EQU 5
SAFARI_ZONE_BETA_HEIGHT EQU 18
SAFARI_ZONE_BETA_WIDTH EQU 10
VICTORY_ROAD_HEIGHT EQU 36
VICTORY_ROAD_WIDTH EQU 10
ECRUTEAK_HOUSE_HEIGHT EQU 9
ECRUTEAK_HOUSE_WIDTH EQU 10
WISE_TRIOS_ROOM_HEIGHT EQU 4
WISE_TRIOS_ROOM_WIDTH EQU 4
ECRUTEAK_POKECENTER_1F_HEIGHT EQU 4
ECRUTEAK_POKECENTER_1F_WIDTH EQU 5
ECRUTEAK_LUGIA_SPEECH_HOUSE_HEIGHT EQU 4
ECRUTEAK_LUGIA_SPEECH_HOUSE_WIDTH EQU 4
DANCE_THEATRE_HEIGHT EQU 7
DANCE_THEATRE_WIDTH EQU 6
ECRUTEAK_MART_HEIGHT EQU 4
ECRUTEAK_MART_WIDTH EQU 6
ECRUTEAK_GYM_HEIGHT EQU 9
ECRUTEAK_GYM_WIDTH EQU 5
ECRUTEAK_ITEMFINDER_HOUSE_HEIGHT EQU 4
ECRUTEAK_ITEMFINDER_HOUSE_WIDTH EQU 4
ECRUTEAK_CITY_HEIGHT EQU 18
ECRUTEAK_CITY_WIDTH EQU 20
BLACKTHORN_GYM_1F_HEIGHT EQU 9
BLACKTHORN_GYM_1F_WIDTH EQU 5
BLACKTHORN_GYM_2F_HEIGHT EQU 9
BLACKTHORN_GYM_2F_WIDTH EQU 5
BLACKTHORN_DRAGON_SPEECH_HOUSE_HEIGHT EQU 4
BLACKTHORN_DRAGON_SPEECH_HOUSE_WIDTH EQU 4
BLACKTHORN_DODRIO_TRADE_HOUSE_HEIGHT EQU 4
BLACKTHORN_DODRIO_TRADE_HOUSE_WIDTH EQU 4
BLACKTHORN_MART_HEIGHT EQU 4
BLACKTHORN_MART_WIDTH EQU 6
BLACKTHORN_POKECENTER_1F_HEIGHT EQU 4
BLACKTHORN_POKECENTER_1F_WIDTH EQU 5
MOVE_DELETERS_HOUSE_HEIGHT EQU 4
MOVE_DELETERS_HOUSE_WIDTH EQU 4
ROUTE_45_HEIGHT EQU 45
ROUTE_45_WIDTH EQU 10
ROUTE_46_HEIGHT EQU 18
ROUTE_46_WIDTH EQU 10
BLACKTHORN_CITY_HEIGHT EQU 18
BLACKTHORN_CITY_WIDTH EQU 20
CINNABAR_POKECENTER_1F_HEIGHT EQU 4
CINNABAR_POKECENTER_1F_WIDTH EQU 5
CINNABAR_POKECENTER_2F_BETA_HEIGHT EQU 4
CINNABAR_POKECENTER_2F_BETA_WIDTH EQU 8
ROUTE_19___FUCHSIA_GATE_HEIGHT EQU 4
ROUTE_19___FUCHSIA_GATE_WIDTH EQU 5
SEAFOAM_GYM_HEIGHT EQU 4
SEAFOAM_GYM_WIDTH EQU 5
ROUTE_19_HEIGHT EQU 18
ROUTE_19_WIDTH EQU 10
ROUTE_20_HEIGHT EQU 9
ROUTE_20_WIDTH EQU 30
ROUTE_21_HEIGHT EQU 18
ROUTE_21_WIDTH EQU 10
CINNABAR_ISLAND_HEIGHT EQU 9
CINNABAR_ISLAND_WIDTH EQU 10
CERULEAN_GYM_BADGE_SPEECH_HOUSE_HEIGHT EQU 4
CERULEAN_GYM_BADGE_SPEECH_HOUSE_WIDTH EQU 4
CERULEAN_POLICE_STATION_HEIGHT EQU 4
CERULEAN_POLICE_STATION_WIDTH EQU 4
CERULEAN_TRADE_SPEECH_HOUSE_HEIGHT EQU 4
CERULEAN_TRADE_SPEECH_HOUSE_WIDTH EQU 4
CERULEAN_POKECENTER_1F_HEIGHT EQU 4
CERULEAN_POKECENTER_1F_WIDTH EQU 5
CERULEAN_POKECENTER_2F_BETA_HEIGHT EQU 4
CERULEAN_POKECENTER_2F_BETA_WIDTH EQU 8
CERULEAN_GYM_HEIGHT EQU 8
CERULEAN_GYM_WIDTH EQU 5
CERULEAN_MART_HEIGHT EQU 4
CERULEAN_MART_WIDTH EQU 6
ROUTE_10_POKECENTER_1F_HEIGHT EQU 4
ROUTE_10_POKECENTER_1F_WIDTH EQU 5
ROUTE_10_POKECENTER_2F_BETA_HEIGHT EQU 4
ROUTE_10_POKECENTER_2F_BETA_WIDTH EQU 8
POWER_PLANT_HEIGHT EQU 9
POWER_PLANT_WIDTH EQU 10
BILLS_HOUSE_HEIGHT EQU 4
BILLS_HOUSE_WIDTH EQU 4
ROUTE_4_HEIGHT EQU 9
ROUTE_4_WIDTH EQU 20
ROUTE_9_HEIGHT EQU 9
ROUTE_9_WIDTH EQU 30
ROUTE_10_NORTH_HEIGHT EQU 9
ROUTE_10_NORTH_WIDTH EQU 10
ROUTE_24_HEIGHT EQU 9
ROUTE_24_WIDTH EQU 10
ROUTE_25_HEIGHT EQU 9
ROUTE_25_WIDTH EQU 30
CERULEAN_CITY_HEIGHT EQU 18
CERULEAN_CITY_WIDTH EQU 20
AZALEA_POKECENTER_1F_HEIGHT EQU 4
AZALEA_POKECENTER_1F_WIDTH EQU 5
CHARCOAL_KILN_HEIGHT EQU 4
CHARCOAL_KILN_WIDTH EQU 4
AZALEA_MART_HEIGHT EQU 4
AZALEA_MART_WIDTH EQU 6
KURTS_HOUSE_HEIGHT EQU 4
KURTS_HOUSE_WIDTH EQU 8
AZALEA_GYM_HEIGHT EQU 8
AZALEA_GYM_WIDTH EQU 5
ROUTE_33_HEIGHT EQU 9
ROUTE_33_WIDTH EQU 10
AZALEA_TOWN_HEIGHT EQU 9
AZALEA_TOWN_WIDTH EQU 20
LAKE_OF_RAGE_HIDDEN_POWER_HOUSE_HEIGHT EQU 4
LAKE_OF_RAGE_HIDDEN_POWER_HOUSE_WIDTH EQU 4
LAKE_OF_RAGE_MAGIKARP_HOUSE_HEIGHT EQU 4
LAKE_OF_RAGE_MAGIKARP_HOUSE_WIDTH EQU 4
ROUTE_43_MAHOGANY_GATE_HEIGHT EQU 4
ROUTE_43_MAHOGANY_GATE_WIDTH EQU 5
ROUTE_43_GATE_HEIGHT EQU 4
ROUTE_43_GATE_WIDTH EQU 5
ROUTE_43_HEIGHT EQU 27
ROUTE_43_WIDTH EQU 10
LAKE_OF_RAGE_HEIGHT EQU 18
LAKE_OF_RAGE_WIDTH EQU 20
ROUTE_32_HEIGHT EQU 45
ROUTE_32_WIDTH EQU 10
ROUTE_35_HEIGHT EQU 18
ROUTE_35_WIDTH EQU 10
ROUTE_36_HEIGHT EQU 9
ROUTE_36_WIDTH EQU 30
ROUTE_37_HEIGHT EQU 9
ROUTE_37_WIDTH EQU 10
VIOLET_CITY_HEIGHT EQU 18
VIOLET_CITY_WIDTH EQU 20
VIOLET_MART_HEIGHT EQU 4
VIOLET_MART_WIDTH EQU 6
VIOLET_GYM_HEIGHT EQU 8
VIOLET_GYM_WIDTH EQU 5
EARLS_POKEMON_ACADEMY_HEIGHT EQU 8
EARLS_POKEMON_ACADEMY_WIDTH EQU 4
VIOLET_NICKNAME_SPEECH_HOUSE_HEIGHT EQU 4
VIOLET_NICKNAME_SPEECH_HOUSE_WIDTH EQU 4
VIOLET_POKECENTER_1F_HEIGHT EQU 4
VIOLET_POKECENTER_1F_WIDTH EQU 5
VIOLET_ONIX_TRADE_HOUSE_HEIGHT EQU 4
VIOLET_ONIX_TRADE_HOUSE_WIDTH EQU 4
ROUTE_32_RUINS_OF_ALPH_GATE_HEIGHT EQU 4
ROUTE_32_RUINS_OF_ALPH_GATE_WIDTH EQU 5
ROUTE_32_POKECENTER_1F_HEIGHT EQU 4
ROUTE_32_POKECENTER_1F_WIDTH EQU 5
ROUTE_35_GOLDENROD_GATE_HEIGHT EQU 4
ROUTE_35_GOLDENROD_GATE_WIDTH EQU 5
ROUTE_35_NATIONAL_PARK_GATE_HEIGHT EQU 4
ROUTE_35_NATIONAL_PARK_GATE_WIDTH EQU 4
ROUTE_36_RUINS_OF_ALPH_GATE_HEIGHT EQU 4
ROUTE_36_RUINS_OF_ALPH_GATE_WIDTH EQU 5
ROUTE_36_NATIONAL_PARK_GATE_HEIGHT EQU 4
ROUTE_36_NATIONAL_PARK_GATE_WIDTH EQU 5
ROUTE_34_HEIGHT EQU 27
ROUTE_34_WIDTH EQU 10
GOLDENROD_CITY_HEIGHT EQU 18
GOLDENROD_CITY_WIDTH EQU 20
GOLDENROD_GYM_HEIGHT EQU 9
GOLDENROD_GYM_WIDTH EQU 10
GOLDENROD_BIKE_SHOP_HEIGHT EQU 4
GOLDENROD_BIKE_SHOP_WIDTH EQU 4
GOLDENROD_HAPPINESS_RATER_HEIGHT EQU 4
GOLDENROD_HAPPINESS_RATER_WIDTH EQU 4
GOLDENROD_BILLS_HOUSE_HEIGHT EQU 4
GOLDENROD_BILLS_HOUSE_WIDTH EQU 4
GOLDENROD_MAGNET_TRAIN_STATION_HEIGHT EQU 9
GOLDENROD_MAGNET_TRAIN_STATION_WIDTH EQU 10
GOLDENROD_FLOWER_SHOP_HEIGHT EQU 4
GOLDENROD_FLOWER_SHOP_WIDTH EQU 4
GOLDENROD_PP_SPEECH_HOUSE_HEIGHT EQU 4
GOLDENROD_PP_SPEECH_HOUSE_WIDTH EQU 4
GOLDENROD_NAME_RATERS_HOUSE_HEIGHT EQU 4
GOLDENROD_NAME_RATERS_HOUSE_WIDTH EQU 4
GOLDENROD_DEPT_STORE_1F_HEIGHT EQU 4
GOLDENROD_DEPT_STORE_1F_WIDTH EQU 8
GOLDENROD_DEPT_STORE_2F_HEIGHT EQU 4
GOLDENROD_DEPT_STORE_2F_WIDTH EQU 8
GOLDENROD_DEPT_STORE_3F_HEIGHT EQU 4
GOLDENROD_DEPT_STORE_3F_WIDTH EQU 8
GOLDENROD_DEPT_STORE_4F_HEIGHT EQU 4
GOLDENROD_DEPT_STORE_4F_WIDTH EQU 8
GOLDENROD_DEPT_STORE_5F_HEIGHT EQU 4
GOLDENROD_DEPT_STORE_5F_WIDTH EQU 8
GOLDENROD_DEPT_STORE_6F_HEIGHT EQU 4
GOLDENROD_DEPT_STORE_6F_WIDTH EQU 8
GOLDENROD_DEPT_STORE_ELEVATOR_HEIGHT EQU 2
GOLDENROD_DEPT_STORE_ELEVATOR_WIDTH EQU 2
GOLDENROD_DEPT_STORE_ROOF_HEIGHT EQU 4
GOLDENROD_DEPT_STORE_ROOF_WIDTH EQU 8
GOLDENROD_GAME_CORNER_HEIGHT EQU 7
GOLDENROD_GAME_CORNER_WIDTH EQU 10
GOLDENROD_POKECENTER_1F_HEIGHT EQU 4
GOLDENROD_POKECENTER_1F_WIDTH EQU 5
GOLDENROD_POKECOM_CENTER_2F_MOBILE_HEIGHT EQU 16
GOLDENROD_POKECOM_CENTER_2F_MOBILE_WIDTH EQU 16
ILEX_FOREST_AZALEA_GATE_HEIGHT EQU 4
ILEX_FOREST_AZALEA_GATE_WIDTH EQU 5
ROUTE_34_ILEX_FOREST_GATE_HEIGHT EQU 4
ROUTE_34_ILEX_FOREST_GATE_WIDTH EQU 5
DAY_CARE_HEIGHT EQU 4
DAY_CARE_WIDTH EQU 5
ROUTE_6_HEIGHT EQU 9
ROUTE_6_WIDTH EQU 10
ROUTE_11_HEIGHT EQU 9
ROUTE_11_WIDTH EQU 20
VERMILION_CITY_HEIGHT EQU 18
VERMILION_CITY_WIDTH EQU 20
VERMILION_HOUSE_FISHING_SPEECH_HOUSE_HEIGHT EQU 4
VERMILION_HOUSE_FISHING_SPEECH_HOUSE_WIDTH EQU 4
VERMILION_POKECENTER_1F_HEIGHT EQU 4
VERMILION_POKECENTER_1F_WIDTH EQU 5
VERMILION_POKECENTER_2F_BETA_HEIGHT EQU 4
VERMILION_POKECENTER_2F_BETA_WIDTH EQU 8
POKEMON_FAN_CLUB_HEIGHT EQU 4
POKEMON_FAN_CLUB_WIDTH EQU 5
VERMILION_MAGNET_TRAIN_SPEECH_HOUSE_HEIGHT EQU 4
VERMILION_MAGNET_TRAIN_SPEECH_HOUSE_WIDTH EQU 4
VERMILION_MART_HEIGHT EQU 4
VERMILION_MART_WIDTH EQU 6
VERMILION_HOUSE_DIGLETTS_CAVE_SPEECH_HOUSE_HEIGHT EQU 4
VERMILION_HOUSE_DIGLETTS_CAVE_SPEECH_HOUSE_WIDTH EQU 4
VERMILION_GYM_HEIGHT EQU 9
VERMILION_GYM_WIDTH EQU 5
ROUTE_6_SAFFRON_GATE_HEIGHT EQU 4
ROUTE_6_SAFFRON_GATE_WIDTH EQU 5
ROUTE_6_UNDERGROUND_ENTRANCE_HEIGHT EQU 4
ROUTE_6_UNDERGROUND_ENTRANCE_WIDTH EQU 4
ROUTE_1_HEIGHT EQU 18
ROUTE_1_WIDTH EQU 10
PALLET_TOWN_HEIGHT EQU 9
PALLET_TOWN_WIDTH EQU 10
REDS_HOUSE_1F_HEIGHT EQU 4
REDS_HOUSE_1F_WIDTH EQU 4
REDS_HOUSE_2F_HEIGHT EQU 4
REDS_HOUSE_2F_WIDTH EQU 4
BLUES_HOUSE_HEIGHT EQU 4
BLUES_HOUSE_WIDTH EQU 4
OAKS_LAB_HEIGHT EQU 6
OAKS_LAB_WIDTH EQU 5
ROUTE_3_HEIGHT EQU 9
ROUTE_3_WIDTH EQU 30
PEWTER_CITY_HEIGHT EQU 18
PEWTER_CITY_WIDTH EQU 20
PEWTER_NIDORAN_SPEECH_HOUSE_HEIGHT EQU 4
PEWTER_NIDORAN_SPEECH_HOUSE_WIDTH EQU 4
PEWTER_GYM_HEIGHT EQU 7
PEWTER_GYM_WIDTH EQU 5
PEWTER_MART_HEIGHT EQU 4
PEWTER_MART_WIDTH EQU 6
PEWTER_POKECENTER_1F_HEIGHT EQU 4
PEWTER_POKECENTER_1F_WIDTH EQU 5
PEWTER_POKECENTER_2F_BETA_HEIGHT EQU 4
PEWTER_POKECENTER_2F_BETA_WIDTH EQU 8
PEWTER_SNOOZE_SPEECH_HOUSE_HEIGHT EQU 4
PEWTER_SNOOZE_SPEECH_HOUSE_WIDTH EQU 4
OLIVINE_PORT_HEIGHT EQU 18
OLIVINE_PORT_WIDTH EQU 10
VERMILION_PORT_HEIGHT EQU 18
VERMILION_PORT_WIDTH EQU 10
FAST_SHIP_1F_HEIGHT EQU 9
FAST_SHIP_1F_WIDTH EQU 16
FAST_SHIP_CABINS_NNW_NNE_NE_HEIGHT EQU 16
FAST_SHIP_CABINS_NNW_NNE_NE_WIDTH EQU 4
FAST_SHIP_CABINS_SW_SSW_NW_HEIGHT EQU 16
FAST_SHIP_CABINS_SW_SSW_NW_WIDTH EQU 4
FAST_SHIP_CABINS_SE_SSE_CAPTAINS_CABIN_HEIGHT EQU 17
FAST_SHIP_CABINS_SE_SSE_CAPTAINS_CABIN_WIDTH EQU 5
FAST_SHIP_B1F_HEIGHT EQU 8
FAST_SHIP_B1F_WIDTH EQU 16
OLIVINE_PORT_PASSAGE_HEIGHT EQU 9
OLIVINE_PORT_PASSAGE_WIDTH EQU 10
VERMILION_PORT_PASSAGE_HEIGHT EQU 9
VERMILION_PORT_PASSAGE_WIDTH EQU 10
MOUNT_MOON_SQUARE_HEIGHT EQU 9
MOUNT_MOON_SQUARE_WIDTH EQU 15
MOUNT_MOON_GIFT_SHOP_HEIGHT EQU 4
MOUNT_MOON_GIFT_SHOP_WIDTH EQU 4
TIN_TOWER_ROOF_HEIGHT EQU 9
TIN_TOWER_ROOF_WIDTH EQU 10
ROUTE_23_HEIGHT EQU 9
ROUTE_23_WIDTH EQU 10
INDIGO_PLATEAU_POKECENTER_1F_HEIGHT EQU 7
INDIGO_PLATEAU_POKECENTER_1F_WIDTH EQU 9
WILLS_ROOM_HEIGHT EQU 9
WILLS_ROOM_WIDTH EQU 5
KOGAS_ROOM_HEIGHT EQU 9
KOGAS_ROOM_WIDTH EQU 5
BRUNOS_ROOM_HEIGHT EQU 9
BRUNOS_ROOM_WIDTH EQU 5
KARENS_ROOM_HEIGHT EQU 9
KARENS_ROOM_WIDTH EQU 5
LANCES_ROOM_HEIGHT EQU 12
LANCES_ROOM_WIDTH EQU 5
HALL_OF_FAME_HEIGHT EQU 7
HALL_OF_FAME_WIDTH EQU 5
ROUTE_13_HEIGHT EQU 9
ROUTE_13_WIDTH EQU 30
ROUTE_14_HEIGHT EQU 18
ROUTE_14_WIDTH EQU 10
ROUTE_15_HEIGHT EQU 9
ROUTE_15_WIDTH EQU 20
ROUTE_18_HEIGHT EQU 9
ROUTE_18_WIDTH EQU 10
FUCHSIA_CITY_HEIGHT EQU 18
FUCHSIA_CITY_WIDTH EQU 20
FUCHSIA_MART_HEIGHT EQU 4
FUCHSIA_MART_WIDTH EQU 6
SAFARI_ZONE_MAIN_OFFICE_HEIGHT EQU 4
SAFARI_ZONE_MAIN_OFFICE_WIDTH EQU 4
FUCHSIA_GYM_HEIGHT EQU 9
FUCHSIA_GYM_WIDTH EQU 5
FUCHSIA_BILL_SPEECH_HOUSE_HEIGHT EQU 4
FUCHSIA_BILL_SPEECH_HOUSE_WIDTH EQU 4
FUCHSIA_POKECENTER_1F_HEIGHT EQU 4
FUCHSIA_POKECENTER_1F_WIDTH EQU 5
FUCHSIA_POKECENTER_2F_BETA_HEIGHT EQU 4
FUCHSIA_POKECENTER_2F_BETA_WIDTH EQU 8
SAFARI_ZONE_WARDENS_HOME_HEIGHT EQU 4
SAFARI_ZONE_WARDENS_HOME_WIDTH EQU 5
ROUTE_15_FUCHSIA_GATE_HEIGHT EQU 4
ROUTE_15_FUCHSIA_GATE_WIDTH EQU 5
ROUTE_8_HEIGHT EQU 9
ROUTE_8_WIDTH EQU 20
ROUTE_12_HEIGHT EQU 27
ROUTE_12_WIDTH EQU 10
ROUTE_10_SOUTH_HEIGHT EQU 9
ROUTE_10_SOUTH_WIDTH EQU 10
LAVENDER_TOWN_HEIGHT EQU 9
LAVENDER_TOWN_WIDTH EQU 10
LAVENDER_POKECENTER_1F_HEIGHT EQU 4
LAVENDER_POKECENTER_1F_WIDTH EQU 5
LAVENDER_POKECENTER_2F_BETA_HEIGHT EQU 4
LAVENDER_POKECENTER_2F_BETA_WIDTH EQU 8
MR_FUJIS_HOUSE_HEIGHT EQU 4
MR_FUJIS_HOUSE_WIDTH EQU 5
LAVENDER_TOWN_SPEECH_HOUSE_HEIGHT EQU 4
LAVENDER_TOWN_SPEECH_HOUSE_WIDTH EQU 4
LAVENDER_NAME_RATER_HEIGHT EQU 4
LAVENDER_NAME_RATER_WIDTH EQU 4
LAVENDER_MART_HEIGHT EQU 4
LAVENDER_MART_WIDTH EQU 6
SOUL_HOUSE_HEIGHT EQU 4
SOUL_HOUSE_WIDTH EQU 5
LAV_RADIO_TOWER_1F_HEIGHT EQU 4
LAV_RADIO_TOWER_1F_WIDTH EQU 10
ROUTE_8_SAFFRON_GATE_HEIGHT EQU 4
ROUTE_8_SAFFRON_GATE_WIDTH EQU 5
ROUTE_12_SUPER_ROD_HOUSE_HEIGHT EQU 4
ROUTE_12_SUPER_ROD_HOUSE_WIDTH EQU 4
ROUTE_28_HEIGHT EQU 9
ROUTE_28_WIDTH EQU 20
SILVER_CAVE_OUTSIDE_HEIGHT EQU 18
SILVER_CAVE_OUTSIDE_WIDTH EQU 20
SILVER_CAVE_POKECENTER_1F_HEIGHT EQU 4
SILVER_CAVE_POKECENTER_1F_WIDTH EQU 5
ROUTE_28_FAMOUS_SPEECH_HOUSE_HEIGHT EQU 4
ROUTE_28_FAMOUS_SPEECH_HOUSE_WIDTH EQU 4
POKECENTER_2F_HEIGHT EQU 4
POKECENTER_2F_WIDTH EQU 8
TRADE_CENTER_HEIGHT EQU 4
TRADE_CENTER_WIDTH EQU 5
COLOSSEUM_HEIGHT EQU 4
COLOSSEUM_WIDTH EQU 5
TIME_CAPSULE_HEIGHT EQU 4
TIME_CAPSULE_WIDTH EQU 5
MOBILE_TRADE_ROOM_MOBILE_HEIGHT EQU 4
MOBILE_TRADE_ROOM_MOBILE_WIDTH EQU 5
MOBILE_BATTLE_ROOM_HEIGHT EQU 4
MOBILE_BATTLE_ROOM_WIDTH EQU 5
ROUTE_7_HEIGHT EQU 9
ROUTE_7_WIDTH EQU 10
ROUTE_16_HEIGHT EQU 9
ROUTE_16_WIDTH EQU 10
ROUTE_17_HEIGHT EQU 45
ROUTE_17_WIDTH EQU 10
CELADON_CITY_HEIGHT EQU 18
CELADON_CITY_WIDTH EQU 20
CELADON_DEPT_STORE_1F_HEIGHT EQU 4
CELADON_DEPT_STORE_1F_WIDTH EQU 8
CELADON_DEPT_STORE_2F_HEIGHT EQU 4
CELADON_DEPT_STORE_2F_WIDTH EQU 8
CELADON_DEPT_STORE_3F_HEIGHT EQU 4
CELADON_DEPT_STORE_3F_WIDTH EQU 8
CELADON_DEPT_STORE_4F_HEIGHT EQU 4
CELADON_DEPT_STORE_4F_WIDTH EQU 8
CELADON_DEPT_STORE_5F_HEIGHT EQU 4
CELADON_DEPT_STORE_5F_WIDTH EQU 8
CELADON_DEPT_STORE_6F_HEIGHT EQU 4
CELADON_DEPT_STORE_6F_WIDTH EQU 8
CELADON_DEPT_STORE_ELEVATOR_HEIGHT EQU 2
CELADON_DEPT_STORE_ELEVATOR_WIDTH EQU 2
CELADON_MANSION_1F_HEIGHT EQU 5
CELADON_MANSION_1F_WIDTH EQU 4
CELADON_MANSION_2F_HEIGHT EQU 5
CELADON_MANSION_2F_WIDTH EQU 4
CELADON_MANSION_3F_HEIGHT EQU 5
CELADON_MANSION_3F_WIDTH EQU 4
CELADON_MANSION_ROOF_HEIGHT EQU 5
CELADON_MANSION_ROOF_WIDTH EQU 4
CELADON_MANSION_ROOF_HOUSE_HEIGHT EQU 4
CELADON_MANSION_ROOF_HOUSE_WIDTH EQU 4
CELADON_POKECENTER_1F_HEIGHT EQU 4
CELADON_POKECENTER_1F_WIDTH EQU 5
CELADON_POKECENTER_2F_BETA_HEIGHT EQU 4
CELADON_POKECENTER_2F_BETA_WIDTH EQU 8
CELADON_GAME_CORNER_HEIGHT EQU 7
CELADON_GAME_CORNER_WIDTH EQU 10
CELADON_GAME_CORNER_PRIZE_ROOM_HEIGHT EQU 3
CELADON_GAME_CORNER_PRIZE_ROOM_WIDTH EQU 3
CELADON_GYM_HEIGHT EQU 9
CELADON_GYM_WIDTH EQU 5
CELADON_CAFE_HEIGHT EQU 4
CELADON_CAFE_WIDTH EQU 6
ROUTE_16_FUCHSIA_SPEECH_HOUSE_HEIGHT EQU 4
ROUTE_16_FUCHSIA_SPEECH_HOUSE_WIDTH EQU 4
ROUTE_16_GATE_HEIGHT EQU 4
ROUTE_16_GATE_WIDTH EQU 5
ROUTE_7_SAFFRON_GATE_HEIGHT EQU 4
ROUTE_7_SAFFRON_GATE_WIDTH EQU 5
ROUTE_17_18_GATE_HEIGHT EQU 4
ROUTE_17_18_GATE_WIDTH EQU 5
ROUTE_40_HEIGHT EQU 18
ROUTE_40_WIDTH EQU 10
ROUTE_41_HEIGHT EQU 27
ROUTE_41_WIDTH EQU 25
CIANWOOD_CITY_HEIGHT EQU 27
CIANWOOD_CITY_WIDTH EQU 15
MANIAS_HOUSE_HEIGHT EQU 4
MANIAS_HOUSE_WIDTH EQU 4
CIANWOOD_GYM_HEIGHT EQU 9
CIANWOOD_GYM_WIDTH EQU 5
CIANWOOD_POKECENTER_1F_HEIGHT EQU 4
CIANWOOD_POKECENTER_1F_WIDTH EQU 5
CIANWOOD_PHARMACY_HEIGHT EQU 4
CIANWOOD_PHARMACY_WIDTH EQU 4
CIANWOOD_CITY_PHOTO_STUDIO_HEIGHT EQU 4
CIANWOOD_CITY_PHOTO_STUDIO_WIDTH EQU 4
CIANWOOD_LUGIA_SPEECH_HOUSE_HEIGHT EQU 4
CIANWOOD_LUGIA_SPEECH_HOUSE_WIDTH EQU 4
POKE_SEERS_HOUSE_HEIGHT EQU 4
POKE_SEERS_HOUSE_WIDTH EQU 4
BATTLE_TOWER_1F_HEIGHT EQU 5
BATTLE_TOWER_1F_WIDTH EQU 8
BATTLE_TOWER_BATTLE_ROOM_HEIGHT EQU 4
BATTLE_TOWER_BATTLE_ROOM_WIDTH EQU 4
BATTLE_TOWER_ELEVATOR_HEIGHT EQU 2
BATTLE_TOWER_ELEVATOR_WIDTH EQU 2
BATTLE_TOWER_HALLWAY_HEIGHT EQU 2
BATTLE_TOWER_HALLWAY_WIDTH EQU 11
ROUTE_40_BATTLE_TOWER_GATE_HEIGHT EQU 4
ROUTE_40_BATTLE_TOWER_GATE_WIDTH EQU 5
BATTLE_TOWER_OUTSIDE_HEIGHT EQU 14
BATTLE_TOWER_OUTSIDE_WIDTH EQU 10
ROUTE_2_HEIGHT EQU 27
ROUTE_2_WIDTH EQU 10
ROUTE_22_HEIGHT EQU 9
ROUTE_22_WIDTH EQU 20
VIRIDIAN_CITY_HEIGHT EQU 18
VIRIDIAN_CITY_WIDTH EQU 20
VIRIDIAN_GYM_HEIGHT EQU 9
VIRIDIAN_GYM_WIDTH EQU 5
VIRIDIAN_NICKNAME_SPEECH_HOUSE_HEIGHT EQU 4
VIRIDIAN_NICKNAME_SPEECH_HOUSE_WIDTH EQU 4
TRAINER_HOUSE_1F_HEIGHT EQU 7
TRAINER_HOUSE_1F_WIDTH EQU 5
TRAINER_HOUSE_B1F_HEIGHT EQU 8
TRAINER_HOUSE_B1F_WIDTH EQU 5
VIRIDIAN_MART_HEIGHT EQU 4
VIRIDIAN_MART_WIDTH EQU 6
VIRIDIAN_POKECENTER_1F_HEIGHT EQU 4
VIRIDIAN_POKECENTER_1F_WIDTH EQU 5
VIRIDIAN_POKECENTER_2F_BETA_HEIGHT EQU 4
VIRIDIAN_POKECENTER_2F_BETA_WIDTH EQU 8
ROUTE_2_NUGGET_SPEECH_HOUSE_HEIGHT EQU 4
ROUTE_2_NUGGET_SPEECH_HOUSE_WIDTH EQU 4
ROUTE_2_GATE_HEIGHT EQU 4
ROUTE_2_GATE_WIDTH EQU 5
VICTORY_ROAD_GATE_HEIGHT EQU 9
VICTORY_ROAD_GATE_WIDTH EQU 10
ROUTE_26_HEIGHT EQU 54
ROUTE_26_WIDTH EQU 10
ROUTE_27_HEIGHT EQU 9
ROUTE_27_WIDTH EQU 40
ROUTE_29_HEIGHT EQU 9
ROUTE_29_WIDTH EQU 30
NEW_BARK_TOWN_HEIGHT EQU 9
NEW_BARK_TOWN_WIDTH EQU 10
ELMS_LAB_HEIGHT EQU 6
ELMS_LAB_WIDTH EQU 5
KRISS_HOUSE_1F_HEIGHT EQU 4
KRISS_HOUSE_1F_WIDTH EQU 5
KRISS_HOUSE_2F_HEIGHT EQU 3
KRISS_HOUSE_2F_WIDTH EQU 4
KRISS_NEIGHBORS_HOUSE_HEIGHT EQU 4
KRISS_NEIGHBORS_HOUSE_WIDTH EQU 4
ELMS_HOUSE_HEIGHT EQU 4
ELMS_HOUSE_WIDTH EQU 4
ROUTE_26_HEAL_SPEECH_HOUSE_HEIGHT EQU 4
ROUTE_26_HEAL_SPEECH_HOUSE_WIDTH EQU 4
ROUTE_26_DAY_OF_WEEK_SIBLINGS_HOUSE_HEIGHT EQU 4
ROUTE_26_DAY_OF_WEEK_SIBLINGS_HOUSE_WIDTH EQU 4
ROUTE_27_SANDSTORM_HOUSE_HEIGHT EQU 4
ROUTE_27_SANDSTORM_HOUSE_WIDTH EQU 4
ROUTE_29_46_GATE_HEIGHT EQU 4
ROUTE_29_46_GATE_WIDTH EQU 5
ROUTE_5_HEIGHT EQU 9
ROUTE_5_WIDTH EQU 10
SAFFRON_CITY_HEIGHT EQU 18
SAFFRON_CITY_WIDTH EQU 20
FIGHTING_DOJO_HEIGHT EQU 6
FIGHTING_DOJO_WIDTH EQU 5
SAFFRON_GYM_HEIGHT EQU 9
SAFFRON_GYM_WIDTH EQU 10
SAFFRON_MART_HEIGHT EQU 4
SAFFRON_MART_WIDTH EQU 6
SAFFRON_POKECENTER_1F_HEIGHT EQU 4
SAFFRON_POKECENTER_1F_WIDTH EQU 5
SAFFRON_POKECENTER_2F_BETA_HEIGHT EQU 4
SAFFRON_POKECENTER_2F_BETA_WIDTH EQU 8
MR_PSYCHICS_HOUSE_HEIGHT EQU 4
MR_PSYCHICS_HOUSE_WIDTH EQU 4
SAFFRON_TRAIN_STATION_HEIGHT EQU 9
SAFFRON_TRAIN_STATION_WIDTH EQU 10
SILPH_CO_1F_HEIGHT EQU 4
SILPH_CO_1F_WIDTH EQU 8
COPYCATS_HOUSE_1F_HEIGHT EQU 4
COPYCATS_HOUSE_1F_WIDTH EQU 4
COPYCATS_HOUSE_2F_HEIGHT EQU 3
COPYCATS_HOUSE_2F_WIDTH EQU 5
ROUTE_5_UNDERGROUND_ENTRANCE_HEIGHT EQU 4
ROUTE_5_UNDERGROUND_ENTRANCE_WIDTH EQU 4
ROUTE_5_SAFFRON_CITY_GATE_HEIGHT EQU 4
ROUTE_5_SAFFRON_CITY_GATE_WIDTH EQU 5
ROUTE_5_CLEANSE_TAG_SPEECH_HOUSE_HEIGHT EQU 4
ROUTE_5_CLEANSE_TAG_SPEECH_HOUSE_WIDTH EQU 4
ROUTE_30_HEIGHT EQU 27
ROUTE_30_WIDTH EQU 10
ROUTE_31_HEIGHT EQU 9
ROUTE_31_WIDTH EQU 20
CHERRYGROVE_CITY_HEIGHT EQU 9
CHERRYGROVE_CITY_WIDTH EQU 20
CHERRYGROVE_MART_HEIGHT EQU 4
CHERRYGROVE_MART_WIDTH EQU 6
CHERRYGROVE_POKECENTER_1F_HEIGHT EQU 4
CHERRYGROVE_POKECENTER_1F_WIDTH EQU 5
CHERRYGROVE_GYM_SPEECH_HOUSE_HEIGHT EQU 4
CHERRYGROVE_GYM_SPEECH_HOUSE_WIDTH EQU 4
GUIDE_GENTS_HOUSE_HEIGHT EQU 4
GUIDE_GENTS_HOUSE_WIDTH EQU 4
CHERRYGROVE_EVOLUTION_SPEECH_HOUSE_HEIGHT EQU 4
CHERRYGROVE_EVOLUTION_SPEECH_HOUSE_WIDTH EQU 4
ROUTE_30_BERRY_SPEECH_HOUSE_HEIGHT EQU 4
ROUTE_30_BERRY_SPEECH_HOUSE_WIDTH EQU 4
MR_POKEMONS_HOUSE_HEIGHT EQU 4
MR_POKEMONS_HOUSE_WIDTH EQU 4
ROUTE_31_VIOLET_GATE_HEIGHT EQU 4
ROUTE_31_VIOLET_GATE_WIDTH EQU 5

; the menu items at the beginning of the game
CONTINUE       EQU 0
NEW_GAME       EQU 1
OPTION         EQU 2
MYSTERY_GIFT   EQU 3
MOBILE         EQU 4
MOBILE_STUDIUM EQU 5

; name length
PLAYER_NAME_LENGTH EQU 8
PKMN_NAME_LENGTH EQU 11

; music
MUSIC_NONE EQU 0
MUSIC_TITLE EQU 1
MUSIC_ROUTE_1 EQU 2
MUSIC_ROUTE_3 EQU 3
MUSIC_ROUTE_12 EQU 4
MUSIC_MAGNET_TRAIN EQU 5
MUSIC_KANTO_GYM_LEADER_BATTLE EQU 6
MUSIC_KANTO_TRAINER_BATTLE EQU 7
MUSIC_KANTO_WILD_BATTLE EQU 8
MUSIC_POKEMON_CENTER EQU 9
MUSIC_HIKER_ENCOUNTER EQU 10
MUSIC_LASS_ENCOUNTER EQU 11
MUSIC_OFFICER_ENCOUNTER EQU 12
MUSIC_HEAL EQU 13
MUSIC_LAVENDER_TOWN EQU 14
MUSIC_ROUTE_2 EQU 15
MUSIC_MT_MOON EQU 16
MUSIC_SHOW_ME_AROUND EQU 17
MUSIC_GAME_CORNER EQU 18
MUSIC_BICYCLE EQU 19
MUSIC_HALL_OF_FAME EQU 20
MUSIC_VIRIDIAN_CITY EQU 21
MUSIC_CELADON_CITY EQU 22
MUSIC_TRAINER_VICTORY EQU 23
MUSIC_WILD_VICTORY EQU 24
MUSIC_GYM_VICTORY EQU 25
MUSIC_MT_MOON_SQUARE EQU 26
MUSIC_GYM EQU 27
MUSIC_PALLET_TOWN EQU 28
MUSIC_POKEMON_TALK EQU 29
MUSIC_PROF_OAK EQU 30
MUSIC_RIVAL_ENCOUNTER EQU 31
MUSIC_RIVAL_AFTER EQU 32
MUSIC_SURF EQU 33
MUSIC_EVOLUTION EQU 34
MUSIC_NATIONAL_PARK EQU 35
MUSIC_CREDITS EQU 36
MUSIC_AZALEA_TOWN EQU 37
MUSIC_CHERRYGROVE_CITY EQU 38
MUSIC_KIMONO_ENCOUNTER EQU 39
MUSIC_UNION_CAVE EQU 40
MUSIC_JOHTO_WILD_BATTLE EQU 41
MUSIC_JOHTO_TRAINER_BATTLE EQU 42
MUSIC_ROUTE_30 EQU 43
MUSIC_ECRUTEAK_CITY EQU 44
MUSIC_VIOLET_CITY EQU 45
MUSIC_JOHTO_GYM_LEADER_BATTLE EQU 46
MUSIC_CHAMPION_BATTLE EQU 47
MUSIC_RIVAL_BATTLE EQU 48
MUSIC_ROCKET_BATTLE EQU 49
MUSIC_PROF_ELM EQU 50
MUSIC_DARK_CAVE EQU 51
MUSIC_ROUTE_29 EQU 52
MUSIC_ROUTE_36 EQU 53
MUSIC_SS_AQUA EQU 54
MUSIC_YOUNGSTER_ENCOUNTER EQU 55
MUSIC_BEAUTY_ENCOUNTER EQU 56
MUSIC_ROCKET_ENCOUNTER EQU 57
MUSIC_POKEMANIAC_ENCOUNTER EQU 58
MUSIC_SAGE_ENCOUNTER EQU 59
MUSIC_NEW_BARK_TOWN EQU 60
MUSIC_GOLDENROD_CITY EQU 61
MUSIC_VERMILION_CITY EQU 62
MUSIC_POKEMON_CHANNEL EQU 63
MUSIC_POKE_FLUTE_CHANNEL EQU 64
MUSIC_TIN_TOWER EQU 65
MUSIC_SPROUT_TOWER EQU 66
MUSIC_BURNED_TOWER EQU 67
MUSIC_LIGHTHOUSE EQU 68
MUSIC_LAKE_OF_RAGE EQU 69
MUSIC_INDIGO_PLATEAU EQU 70
MUSIC_ROUTE_37 EQU 71
MUSIC_ROCKET_HIDEOUT EQU 72
MUSIC_DRAGONS_DEN EQU 73
MUSIC_JOHTO_WILD_BATTLE_NIGHT EQU 74
MUSIC_RUINS_OF_ALPH_RADIO EQU 75
MUSIC_CAPTURE EQU 76
MUSIC_ROUTE_26 EQU 77
MUSIC_MOM EQU 78
MUSIC_VICTORY_ROAD EQU 79
MUSIC_POKEMON_LULLABY EQU 80
MUSIC_POKEMON_MARCH EQU 81
MUSIC_GS_OPENING EQU 82
MUSIC_GS_OPENING_2 EQU 83
MUSIC_MAIN_MENU EQU 84
MUSIC_RUINS_OF_ALPH_INTERIOR EQU 85
MUSIC_ROCKET_OVERTURE EQU 86
MUSIC_DANCING_HALL EQU 87
MUSIC_BUG_CATCHING_CONTEST_RANKING EQU 88
MUSIC_BUG_CATCHING_CONTEST EQU 89
MUSIC_LAKE_OF_RAGE_ROCKET_RADIO EQU 90
MUSIC_PRINTER EQU 91
MUSIC_POST_CREDITS EQU 92
MUSIC_CLAIR EQU 93
MUSIC_MOBILE_ADAPTER_MENU EQU 94
MUSIC_MOBILE_ADAPTER EQU 95
MUSIC_BUENAS_PASSWORD EQU 96
MUSIC_MYSTICALMAN_ENCOUNTER EQU 97
MUSIC_CRYSTAL_OPENING EQU 98
MUSIC_BATTLE_TOWER_THEME EQU 99
MUSIC_SUICUNE_BATTLE EQU 100
MUSIC_BATTLE_TOWER_LOBBY EQU 101
MUSIC_MOBILE_CENTER EQU 102

; sound
_4CH1 EQU $c0
_3CH1 EQU $80
_2CH1 EQU $40
_1CH1 EQU $00
_3CH2 EQU $81
_2CH2 EQU $41
_1CH2 EQU $01
_2CH3 EQU $42
_1CH3 EQU $02
_1CH4 EQU $03

_4CH5 EQU $c4
_3CH5 EQU $84
_2CH5 EQU $44
_1CH5 EQU $04
_3CH6 EQU $85
_2CH6 EQU $45
_1CH6 EQU $05
_2CH7 EQU $46
_1CH7 EQU $06
_1CH8 EQU $07

_CH2 EQU $01
_CH3 EQU $02
_CH4 EQU $03
_CH5 EQU $04
_CH6 EQU $05
_CH7 EQU $06
_CH8 EQU $07



NOTE_RST EQU $00
NOTE_C EQU $10
NOTE_C# EQU $20
NOTE_D EQU $30
NOTE_D# EQU $40
NOTE_E EQU $50
NOTE_F EQU $60
NOTE_F# EQU $70
NOTE_G EQU $80
NOTE_G# EQU $90
NOTE_A EQU $a0
NOTE_A# EQU $b0
NOTE_B EQU $c0

; 16ths
NOTE_1 EQU $00
NOTE_2 EQU $01
NOTE_3 EQU $02
NOTE_4 EQU $03
NOTE_5 EQU $04
NOTE_6 EQU $05
NOTE_7 EQU $06
NOTE_8 EQU $07
NOTE_9 EQU $08
NOTE_10 EQU $09
NOTE_11 EQU $0a
NOTE_12 EQU $0b
NOTE_13 EQU $0c
NOTE_14 EQU $0d
NOTE_15 EQU $0e
NOTE_16 EQU $0f



; specials
NUM_SPECIALS EQU $a8

SPECIAL_UPDATESPRITETILES 	EQU $0038

SPECIAL_WAITSFX 			EQU $003b
SPECIAL_BIKESURFMUSIC 		EQU $003c

SPECIAL_LOADFACESTEP 		EQU $003f

SPECIAL_SNORLAXAWAKE 		EQU $0060

SPECIAL_GAMEBOYCHECK 		EQU $0066
SPECIAL_TRAINERHOUSE 		EQU $0067

SPECIAL_RUSTLETREE 			EQU $006a

SPECIAL_ODDEGG 				EQU $007d

SPECIAL_MOVETUTOR 			EQU $0083
SPECIAL_OMANYTECHAMBER 		EQU $0084

SPECIAL_RUINCHAMBERWALL 	EQU $0087

SPECIAL_HOOHCHAMBER 		EQU $008d

SPECIAL_CELEBI 				EQU $008f

SPECIAL_AFTERCELEBI 		EQU $0090
SPECIAL_POKESEER 			EQU $0091

SPECIAL_DRATINI 			EQU $0094

SPECIAL_BEASTSCHECK 		EQU $0096
SPECIAL_MONCHECK 			EQU $0097


; predefs
PREDEF_FILLPP EQU $05
PREDEF_FILLSTATS EQU $0C
PREDEF_FILLMOVES EQU $1B
PREDEF_GETUNOWNLETTER EQU $2D


; script vars
NUM_VARS EQU $1b
VAR_MOVEMENT EQU $08

; player states
PLAYER_NORMAL EQU $00
PLAYER_BIKE EQU $01
PLAYER_SLIP EQU $02
PLAYER_SURF EQU $04
PLAYER_SURF_PIKA EQU $08


; battle
MAX_LEVEL EQU 100
NUM_MOVES EQU 4

; move struct
MOVE_LENGTH EQU 7
MOVE_ANIM EQU 0
MOVE_EFFECT EQU 1
MOVE_POWER EQU 2
MOVE_TYPE EQU 3
MOVE_ACC EQU 4
MOVE_PP EQU 5
MOVE_CHANCE EQU 6


; stat constants
NUM_STATS EQU 6
STAT_HP EQU 1
STAT_ATK EQU 2
STAT_DEF EQU 3
STAT_SPD EQU 4
STAT_SATK EQU 5
STAT_SDEF EQU 6
STAT_MIN_NORMAL EQU 5
STAT_MIN_HP EQU 10
; shiny dvs
ATKDEFDV_SHINY EQU $EA
SPDSPCDV_SHINY EQU $AA

; battle classes
WILD_BATTLE EQU $00
TRAINER_BATTLE EQU $02

; battle types
BATTLETYPE_NORMAL EQU $00
BATTLETYPE_TUTORIAL EQU $03
BATTLETYPE_FISH EQU $04
BATTLETYPE_ROAMING EQU $05
BATTLETYPE_SHINY EQU $07
BATTLETYPE_TREE EQU $08
BATTLETYPE_FORCEITEM EQU $0a
BATTLETYPE_SUICUNE EQU $0c


; joypad
BUTTONS    EQU %00010000
D_PAD      EQU %00100000

AUTO_INPUT EQU $ff

NO_INPUT   EQU %00000000
BUTTON_A   EQU %00000001
BUTTON_B   EQU %00000010
SELECT     EQU %00000100
START      EQU %00001000
D_RIGHT    EQU %00010000
D_LEFT     EQU %00100000
D_UP       EQU %01000000
D_DOWN     EQU %10000000

; mbc
NUM_SRAM_BANKS EQU 4

; provisional wram bank 5 labels
Unkn1Pals EQU $d000 ; 8 4-color palettes little endian)
Unkn2Pals EQU $d040 ; 8 4-color palettes little endian)
BGPals    EQU $d080 ; 8 4-color palettes little endian)
OBPals    EQU $d0c0 ; 8 4-color palettes little endian)

